private _hasWs = "ws" in A3A_enabledDLC;
private _hasLawsOfWar = "orange" in A3A_enabledDLC;
private _hasApex = "expansion" in A3A_enabledDLC;
private _hasContact = "enoch" in A3A_enabledDLC;
private _hasKart = "kart" in A3A_enabledDLC;
private _hasArtOfWar = "aow" in A3A_enabledDLC;
private _hasGM = "gm" in A3A_enabledDLC;
private _hasCSLA = "csla" in A3A_enabledDLC;
private _hasRF = "rf" in A3A_enabledDLC;

//////////////////////////////
//   Civilian Information   //
//////////////////////////////

["currencySymbol", "IRR"] call _fnc_saveToTemplate;

//////////////////////////
//       Vehicles       //
//////////////////////////

private _civCarsWithWeights = [
    "C_Hatchback_01_sport_F", 0.2
    ,"C_SUV_01_F", 0.2
    ,"C_Hatchback_01_F", 0.2
    ,"UK3CB_C_Ikarus_RED", 0.2
    ,"UK3CB_C_OLD_BIKE", 0.2
    ,"UK3CB_C_MMT", 0.2
    ,"C_Offroad_02_unarmed_F", 0.3
    ,"C_Offroad_01_F", 0.3
    ,"C_Van_01_transport_F", 0.3
    ,"UK3CB_C_Tractor_Old", 0.3
    ,"C_Tractor_01_F", 0.3
    ,"UK3CB_C_Tractor", 0.3
    ,"UK3CB_C_YAVA", 0.3
    ,"UK3CB_C_Pickup", 0.3
    ,"UK3CB_C_Golf", 0.4
    ,"UK3CB_C_Lada", 0.2
    ,"UK3CB_C_Landcruiser", 0.4
    ,"UK3CB_C_Octavia", 0.5
    ,"UK3CB_C_Sedan", 0.5
    ,"UK3CB_C_SUV", 0.5
    ,"UK3CB_C_Datsun_Closed", 0.6
    ,"UK3CB_C_Datsun_Open", 0.6
    ,"UK3CB_C_Hilux_Closed", 0.2
    ,"UK3CB_C_Hilux_Open", 0.2
    ,"UK3CB_C_LandRover_Open", 0.3
    ,"UK3CB_C_LandRover_Closed", 0.3
];
private _civBoat = [
    "UK3CB_C_Fishing_Boat", 0.1            
    ,"UK3CB_C_Fishing_Vessel", 0.1
    ,"C_Boat_Civil_01_F", 1.0
    ,"UK3CB_C_Small_Boat_Wood", 1.0                    
];
private _civIndustrial = [
    "C_Truck_02_covered_F", 1.0
    ,"C_Truck_02_transport_F", 0.8
    ,"UK3CB_C_V3S_Open", 0.6
    ,"UK3CB_C_V3S_Closed", 0.6
    ,"C_Van_01_transport_F", 0.5
    ,"C_Van_01_box_F", 0.5
    ,"UK3CB_C_Tractor", 0.3
];
private _civRepair = [
    "C_Van_02_service_F", 0.3
    ,"UK3CB_C_Kamaz_Repair", 0.2
    ,"UK3CB_C_V3S_Repair", 0.4
];
private _civMedical = [
    "UK3CB_MEC_C_S1203_Amb", 0.1
    ,"UK3CB_MEC_C_Hilux_Ambulance", 0.2
    ,"a3a_Van_02_black_medevac_F", 0.4
];
private _civFuel = [
    "UK3CB_C_V3S_Refuel", 0.2
    ,"UK3CB_C_Kamaz_Fuel",  0.2
    ,"C_Van_01_fuel_F",     0.3
];

private _civPlanes = ["UK3CB_C_Cessna_172", "UK3CB_C_AC500"];
private _civHelicopter = ["UK3CB_MEC_C_Bell412", "UK3CB_C_Bell412_FLIR_IDAP", "UK3CB_C_Bell412_Medic_IDAP"];

if (_hasApex) then {
    _civCarsWithWeights append ["C_Offroad_02_unarmed_F", 0.7];
    _civBoat append ["C_Boat_Transport_02_F", 1.0 ,"C_Scooter_Transport_01_F", 0.5];
    _civPlanes append ["C_Plane_Civil_01_racing_F", "C_Plane_Civil_01_F"];
};

if (_hasContact) then {
    _civCarsWithWeights append ["C_Offroad_01_comms_F", 0.4 , "C_Offroad_01_covered_F", 0.4];
    _civIndustrial append ["C_Tractor_01_F", 0.2];
};

if (_hasLawsOfWar) then {
    _civCarsWithWeights append ["C_Van_02_transport_F", 0.2];
    _civRepair append ["C_Van_02_service_F", 0.3];
    _civMedical append ["C_Van_02_medevac_F", 0.3];
    _civIndustrial append ["C_Van_02_vehicle_F", 0.8];
};

if (_hasWs) then {
    _civCarsWithWeights append ["C_Truck_02_racing_lxWS" , 0.1 , "C_Offroad_lxWS", 0.5];
    _civIndustrial append ["C_Truck_02_cargo_lxWS" , 0.4 , "C_Truck_02_flatbed_lxWS" , 0.4];
};

if (_hasRF) then {
    _civHelicopter append ["C_Heli_EC_01A_civ_RF", "C_Heli_EC_01_civ_RF", "C_Heli_EC_04_rescue_RF"];
    _civCarsWithWeights append ["C_Pickup_rf", 0.6, "C_Pickup_covered_rf", 0.5, "C_Truck_03_water_rf", 0.1, "C_Truck_01_water_rf", 0.1];
    _civRepair append ["C_Pickup_repair_rf", 0.3];
    _civFuel append ["a3a_civ_Pickup_fuel_rf", 0.1];
};

["vehiclesCivCar", _civCarsWithWeights] call _fnc_saveToTemplate;
["vehiclesCivHeli", _civHelicopter] call _fnc_saveToTemplate;
["vehiclesCivIndustrial", _civIndustrial] call _fnc_saveToTemplate;
["vehiclesCivBoat", _civBoat] call _fnc_saveToTemplate;
["vehiclesCivRepair", _civRepair] call _fnc_saveToTemplate;
["vehiclesCivMedical", _civMedical] call _fnc_saveToTemplate;
["vehiclesCivFuel", _civFuel] call _fnc_saveToTemplate;
["vehiclesCivPlanes", _civPlanes] call _fnc_saveToTemplate;

["animations", [
    ["gm_pl_army_uaz469_cargo", ["RoadPrioritySign_01_unhide",0,"FrontLight_02_Cover_unhide",0,"windshield",0,"windows_unhide",0.3,"cover_hoops_unhide",0,"spare_wheel_unhide",0.3,"antenna_01_unhide",0,"antenna_02_unhide",0,"FogLights_01_unhide",0.3,"mirrors_01_unhide",0.3,"doors_unhide",0.3]],
    ["gm_ge_army_iltis_cargo", ["radio_01_unhide",0,"radio_02_unhide",0,"cover_hoops_unhide",0.4,"cover_doors_unhide",0.4,"windshield",0.4,"doorBag_unhide",0.3,"beacon_01_org_unhide",0,"beacon_01_blu_unhide",0,"coldWeatherKit_unhide",0.4]]
]] call _fnc_saveToTemplate;

["variants", [
    ["gm_ge_ff_u1300l_medic", ["gm_ge_civ_drk_01",1]],
    ["gm_pl_army_ural375d_medic", ["gm_oilochre",0.5, "gm_pkhv4",0.5]],
    ["gm_pl_army_ural375d_refuel", ["gm_oilochre",0.5, "gm_pkhv4",0.5]],
    ["gm_pl_army_ural4320_repair", ["gm_oilochre",0.5, "gm_pkhv4",0.5]],
    ["gm_pl_army_uaz469_cargo", ["gm_oilochre",0.5, "gm_pkhv4",0.5]],
    ["gm_ge_army_iltis_cargo", ["gm_ge_civ_drk_01", 0.3, "gm_khs5146", 0.3, "gm_oilochre", 0.3, "gm_pkhv4", 0.3, "gm_xb518", 0.3, "gm_carc_tan", 0.3, "gm_drapolive", 0.3, "gm_merdc_grn", 0.3, "gm_merdc_wht", 0.3, "gm_ge_un", 0.3, "gm_ge_wdl",0]]
]] call _fnc_saveToTemplate;

//////////////////////////
//       Loadouts       //
//////////////////////////


// Faces.
private _faces = [
                    "GreekHead_A3_01", 
                    "GreekHead_A3_02",
                    "GreekHead_A3_03",
                    "GreekHead_A3_09",
                    "GreekHead_A3_11",
                    "GreekHead_A3_12",
                    "GreekHead_A3_13",
                    "GreekHead_A3_14",
                    "PersianHead_A3_01",
                    "PersianHead_A3_02",
                    "PersianHead_A3_03"
];

// Voices.
private _voices = [
                "Male01PER", 
                "Male02PER",  
                "Male03PER"
];


if (_hasRF) then {
    _faces append ["Pilot1_Head_rf","Pilot2_Head_rf"];
};
["faces", _faces] call _fnc_saveToTemplate;

["voices", _voices] call _fnc_saveToTemplate;

private _civUniforms = [
    "U_C_Poloshirt_blue",
    "U_C_Poloshirt_burgundy",
    "U_C_Poloshirt_redwhite",
    "U_C_Poloshirt_salmon",
    "U_C_Poloshirt_stripped",
    "U_Marshal",
    "UK3CB_CHC_C_U_HIKER_03",
    "UK3CB_CHC_C_U_HIKER_01",
    "UK3CB_MEC_C_U_CIT_02",
    "UK3CB_MEC_C_U_CIT_03",
    "UK3CB_CHC_C_U_CIT_02",
    "UK3CB_MEC_C_U_WORK_02",
    "UK3CB_MEC_C_U_WORK_01",
    "UK3CB_CHC_C_U_PROF_02",
    "UK3CB_ION_B_U_CEO_SUIT_03",
    "UK3CB_ION_B_U_CEO_SUIT_05",
    "UK3CB_ION_B_U_CEO_SUIT_04",
    "UK3CB_CHC_C_U_DOC_03",
    "UK3CB_CHC_C_U_DOC_02",
    "UK3CB_CHC_C_U_FUNC_01",
    "UK3CB_CHC_C_U_FUNC_02",
    "UK3CB_ADC_C_U_01",
    "UK3CB_ADC_C_U_01_D",
    "UK3CB_ADC_C_U_01_F",
    "UK3CB_ADC_C_U_01_I",
    "UK3CB_ADC_C_U_01_K",
    "UK3CB_TKC_C_U_01",
    "UK3CB_TKC_C_U_01_C",
    "UK3CB_TKC_C_U_01_D",
    "UK3CB_TKC_C_U_01_E",
    "UK3CB_CHC_C_U_VILL_01",
    "UK3CB_CHC_C_U_VILL_03",
    "UK3CB_CHC_C_U_VILL_04",
    "UK3CB_CHC_C_U_VILL_02",
    "UK3CB_ADC_C_Shorts_U_01",
    "UK3CB_ADC_C_Shorts_U_05",
    "UK3CB_MEC_C_Jeans_Tshirt_U_Medic_01",
    "UK3CB_MEC_C_Pants_U_Medic_01",
    "UK3CB_MEC_C_Pants_U_Medic_03",
    "UK3CB_NPD_B_U_Policeman_01",
    "UK3CB_ADC_C_Pants_U_01",
    "UK3CB_ADC_C_Pants_U_02",
    "UK3CB_ADC_C_Pants_U_03",
    "UK3CB_ADC_C_Pants_U_05"
];

private _pressUniforms = [
    "U_C_Journalist", "U_Marshal"
    ];

private _workerUniforms = [
    "UK3CB_CHC_C_U_Overall_01",
    "UK3CB_CHC_C_U_Overall_02",
    "UK3CB_CHC_C_U_Overall_05",
    "UK3CB_CHC_C_U_Overall_04",
    "UK3CB_CHC_C_U_Overall_03",
    "U_C_WorkerCoveralls"
    ];

private _dlcUniforms = [];

if (_hasApex) then {_dlcUniforms append [
    "U_C_man_sport_1_F",
    "U_C_man_sport_2_F",
    "U_C_man_sport_3_F"];
};

if (_hasArtOfWar) then {_dlcUniforms append [
    "U_C_FormalSuit_01_black_F",
    "U_C_FormalSuit_01_blue_F",
    "U_C_FormalSuit_01_gray_F",
    "U_C_FormalSuit_01_khaki_F",
    "U_C_FormalSuit_01_tshirt_black_F",
    "U_C_FormalSuit_01_tshirt_gray_F"];
};

if (_hasLawsOfWar) then {
  _dlcUniforms append [
    "U_C_Paramedic_01_F",
    "U_C_Mechanic_01_F"
  ];
  _workerUniforms append [
    "U_C_ConstructionCoverall_Black_F",
    "U_C_ConstructionCoverall_Blue_F",
    "U_C_ConstructionCoverall_Red_F",
    "U_C_ConstructionCoverall_Vrana_F"
  ];
};

if (_hasRF) then {
    _dlcUniforms append [
        "U_C_FirefighterFatigues_RF",
        "U_C_FirefighterFatigues_RolledUp_RF",
        "U_C_HeliPilotCoveralls_Yellow_RF",
        "U_C_HeliPilotCoveralls_Green_RF",
        "U_C_HeliPilotCoveralls_Rescue_RF",
        "U_C_HeliPilotCoveralls_Blue_RF",
        "U_C_HeliPilotCoveralls_Black_RF"
    ];
    private _RFleatherJackets = [
        "U_C_PilotJacket_black_RF",
        "U_C_PilotJacket_brown_RF",
        "U_C_PilotJacket_lbrown_RF",
        "U_C_PilotJacket_open_black_RF",
        "U_C_PilotJacket_open_brown_RF",
        "U_C_PilotJacket_open_lbrown_RF"
    ];
    _dlcUniforms append _RFleatherJackets;
    if (A3A_climate in ["temperate","arctic"]) then {
        _civUniforms append _RFleatherJackets;
    };
};

["uniforms", _civUniforms + _pressUniforms + _workerUniforms + _dlcUniforms] call _fnc_saveToTemplate;

private _civhats = [
    "H_Bandanna_gry",
    "H_Bandanna_blu",
    "H_Bandanna_sgg",
    "H_Beret_blk",
    "H_Cap_blk",
    "H_Cap_blu",
    "H_Cap_grn",
    "H_Cap_red",
    "H_Cap_surfer",
    "H_Hat_blue",
    "H_Hat_brown",
    "H_Hat_checker",
    "H_Hat_grey",
    "H_Hat_tan",
    "H_ShemagOpen_khk",
    "H_StrawHat_dark",
    "UK3CB_H_Turban_Neckwrap_01_Blk",
    "UK3CB_H_Turban_Neckwrap_02_Blk",
    "UK3CB_H_Turban_Neckwrap_03_Blk",
    "UK3CB_H_Turban_Neckwrap_01_Oli",
    "UK3CB_H_Turban_Neckwrap_02_Oli",
    "UK3CB_H_Turban_Neckwrap_01_Red",
    "UK3CB_H_Turban_Neckwrap_02_Red",
    "UK3CB_H_Turban_Neckwrap_01_Whi",
    "UK3CB_H_Turban_Neckwrap_02_Whi",
    "UK3CB_H_Bandanna_Red_Check",
    "UK3CB_H_Beanie_02_BLK",
    "UK3CB_H_Beanie_02_GRY",
    "UK3CB_ANP_B_H_Beret",
    "UK3CB_TKC_H_Turban_01_1",
    "UK3CB_TKC_H_Turban_02_1",
    "UK3CB_TKC_H_Turban_06_1",
    "UK3CB_H_Villager_Cap_01",
    "UK3CB_CSAT_O_H_Woolhat_BLU",
    "UK3CB_H_Worker_Cap_01"
];

private _workerHelmets = ["H_Cap_headphones", "H_Cap_tan", "H_Cap_red", "H_Cap_oli_hs"];

private _dlchats = [];

if (_hasApex) then {_dlchats append [
    "H_Helmet_Skate",
    "H_Booniehat_tna_F"
];
};

if (_hasLawsOfWar) then {
  _dlchats append [
    "H_Hat_Safari_olive_F",
    "H_Hat_Safari_sand_F",
    "H_HeadBandage_clean_F",
    "H_HeadBandage_bloody_F",
    "H_HeadBandage_stained_F",
    "H_WirelessEarpiece_F"
];
  _workerHelmets append [
    "H_HeadBandage_clean_F",
    "H_HeadBandage_bloody_F",
    "H_HeadBandage_stained_F",
    "H_HeadSet_white_F",
    "H_HeadSet_yellow_F",
    "H_HeadSet_red_F",
    "H_HeadSet_orange_F",
    "H_HeadSet_black_F",
    "H_EarProtectors_white_F",
    "H_EarProtectors_yellow_F",
    "H_EarProtectors_red_F",
    "H_EarProtectors_orange_F",
    "H_EarProtectors_black_F",
    "H_Construction_basic_white_F",
    "H_Construction_headset_white_F",
    "H_Construction_earprot_white_F",
    "H_Construction_basic_yellow_F",
    "H_Construction_headset_yellow_F",
    "H_Construction_earprot_yellow_F",
    "H_Construction_basic_red_F",
    "H_Construction_headset_red_F",
    "H_Construction_earprot_red_F",
    "H_Construction_basic_orange_F",
    "H_Construction_headset_orange_F",
    "H_Construction_earprot_orange_F",
    "H_Construction_basic_black_F",
    "H_Construction_headset_black_F",
    "H_Construction_earprot_black_F",
    "H_Construction_basic_vrana_F",
    "H_Construction_headset_vrana_F",
    "H_Construction_earprot_vrana_F"
];
};

if (_hasWs) then {
  _dlchats append [
    "lxWS_H_Booniehat_desert",
    "lxWS_H_cloth_5_B",
    "lxWS_H_cloth_5_C",
    "lxWS_H_cloth_5_A"
  ];
};

if (_hasRF) then {
  _dlchats append [
    "H_Cap_marshal_blue_RF"
  ];
  _workerHelmets append [
    "H_Cap_marshal_blue_RF",
    "H_Helmet_HardHat_White_RF",
    "H_Helmet_HardHat_Yellow_RF",
    "H_Helmet_HardHat_Green_RF",
    "H_Helmet_HardHat_Red_RF",
    "H_Helmet_HardHat_Orange_RF",
    "H_Helmet_HardHat_Blue_RF",
    "H_Helmet_HardHat_Black_RF"
];
};

["headgear", _civHats + _dlchats] call _fnc_saveToTemplate;

private _loadoutData = call _fnc_createLoadoutData;

_loadoutData set ["uniforms", _civUniforms + _dlcUniforms];
_loadoutData set ["pressUniforms", _pressUniforms];
_loadoutData set ["workerUniforms", _workerUniforms];
_loadoutData set ["pressVests", ["V_Press_F"]];
_loadoutData set ["helmets", _civHats + _dlchats];
_loadoutData set ["workerHelmets", _workerHelmets];


private _pressHelmets = if (_hasLawsOfWar) then {
    ["H_Cap_press", "H_PASGT_basic_blue_press_F", "H_PASGT_neckprot_blue_press_F"];
} else {
    ["H_Cap_press"];
};

_loadoutData set ["pressHelmets", _pressHelmets];

_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];

private _manTemplate = {
    ["helmets"] call _fnc_setHelmet;
    ["uniforms"] call _fnc_setUniform;

    ["items_medical_standard"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
};
private _workerTemplate = {
    [["workerHelmets", "helmets"] call _fnc_fallback] call _fnc_setHelmet;
    ["workerUniforms"] call _fnc_setUniform;

    ["items_medical_standard"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
};
private _pressTemplate = {
    ["pressHelmets"] call _fnc_setHelmet;
    ["pressVests"] call _fnc_setVest;
    ["pressUniforms"] call _fnc_setUniform;

    ["items_medical_standard"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
};
private _prefix = "militia";
private _unitTypes = [
    ["Press", _pressTemplate],
    ["Worker", _workerTemplate],
    ["Man", _manTemplate]
];

[_prefix, _unitTypes, _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;