//////////////////////////
//   Side Information   //
//////////////////////////

private _hasApex = "expansion" in A3A_enabledDLC;


["name", "SAA"] call _fnc_saveToTemplate;
["spawnMarkerName", "SAA Support Corridor"] call _fnc_saveToTemplate;

["flag", "flag_NATO_F"] call _fnc_saveToTemplate;
["flagTexture", "\usp_flags\data\mideast\flag_syria_co.paa"] call _fnc_saveToTemplate;
["flagMarkerType", "USP_MARKER_SYRIA"] call _fnc_saveToTemplate;

//init = "(_this select 0) setFlagTexture ""\usp_flags\data\mideast\flag_syria_co.paa""";

//////////////////////////
//       Vehicles       //
//////////////////////////

["ammobox", "B_supplyCrate_F"] call _fnc_saveToTemplate;
["surrenderCrate", "Box_IND_Wps_F"] call _fnc_saveToTemplate;   //Changing this from default will require you to define logistics attachement offset for the box type
["equipmentBox", "Box_NATO_Equip_F"] call _fnc_saveToTemplate;  //Changing this from default will require you to define logistics attachement offset for the box type

["smallBunker", ""] call _fnc_saveToTemplate;
["sandbag", ""] call _fnc_saveToTemplate;
["sandbagRound", ""] call _fnc_saveToTemplate;




// Vehicles can be placed in more than one category if they fit between both. Cost will be derived by the higher category

// Cars, trucks etc.
["vehiclesBasic", ["UK3CB_FIA_B_Quadbike"]] call _fnc_saveToTemplate;			                                            // unarmed or armed, with 0-2 passengers

["vehiclesLightUnarmed", ["UK3CB_KDF_O_UAZ_Open", "UK3CB_KDF_O_UAZ_Closed", "rhs_tigr_3camo_vv"]] call _fnc_saveToTemplate;		                // must be unarmed, unarmoured to lightly armoured, with 0-4 passengers

["vehiclesLightArmed", [    "UK3CB_KDF_O_UAZ_AGS30",                        // Should be armed, unarmoured to lightly armoured, with 0-4 passengers
                            "UK3CB_KDF_O_UAZ_MG", 
                            "UK3CB_KDF_O_UAZ_SPG9", 
                            "rhs_tigr_sts_3camo_vv" 
                            ]] call _fnc_saveToTemplate;                            

["vehiclesTrucks", [        "UK3CB_KDF_O_Ural",                      // vehicle that can carry troops and cargoboxes
                            "UK3CB_KDF_O_Ural_Open", 
                            "UK3CB_ARD_O_Zil131_Covered", 
                            "UK3CB_ARD_O_Zil131_Open", 
                            "UK3CB_KDF_O_Gaz66_Covered",
                            "UK3CB_KDF_O_Gaz66_Open",
                            "UK3CB_O_G_V3S_Open",
                            "UK3CB_O_G_V3S_Closed"
                            ]] call _fnc_saveToTemplate;	

["vehiclesCargoTrucks", ["UK3CB_KDF_O_Ural_Recovery"]] call _fnc_saveToTemplate;		                                    // vehicle that can carry only cargoboxes

["vehiclesAmmoTrucks", ["UK3CB_KDF_O_Gaz66_Ammo", "UK3CB_KDF_O_Ural_Ammo"]] call _fnc_saveToTemplate;		                // wheeled vehicle with capability to rearm vehicles

["vehiclesRepairTrucks", ["UK3CB_KDF_O_Gaz66_Repair", "UK3CB_KDF_O_Ural_Repair"]] call _fnc_saveToTemplate;		            // wheeled vehicle with capability to repair vehicles

["vehiclesFuelTrucks", ["UK3CB_KDF_O_Ural_Fuel"]] call _fnc_saveToTemplate;		                                            // wheeled vehicle with capability to refuel vehicles

["vehiclesMedical", ["UK3CB_TKM_O_MTLB_AMB"]] call _fnc_saveToTemplate;		                                                // vehicle with capability to provide healing

// Armored fighting vehicles
["vehiclesLightAPCs", [ "rhs_btr60_msv",               // armed, lightly armoured, with 6-8 passengers 
                        "rhs_btr70_msv", 
                        "rhs_btr80_msv",
                        "rhs_btr80a_msv",
                        "UK3CB_KDF_O_MTLB_PKT"
                        ]] call _fnc_saveToTemplate;                

["vehiclesAPCs", [      "rhs_bmp1p_tv",                 // armed with enclosed turret, armoured, with 6-8 passengers
                        "UK3CB_TKM_B_BMP1",                  
                        "UK3CB_KDF_O_MTLB_PKT"
                        ]] call _fnc_saveToTemplate;  

["vehiclesIFVs", ["UK3CB_TKM_B_BMP1", "rhs_bmp2_tv", "rhs_bmp2e_tv"]] call _fnc_saveToTemplate;                                            // capable of surviving multiple rockets, cannon armed, with 6-8 passengers

["vehiclesLightTanks", ["UK3CB_ARD_I_MTLB_Cannon", "UK3CB_ARD_I_MTLB_BMP", "UK3CB_ARD_I_MTLB_KPVT"]] call _fnc_saveToTemplate;             // tanks with poor armor and weapons

["vehiclesTanks", [     "UK3CB_ARD_B_T55",                          // cannon armed, heavily armored, passengers will be ignored
                        "rhs_t90am_tv",
                        "rhs_t90a_tv",
                        "rhs_t90_tv",
                        "rhs_t72ba_tv",
                        "rhs_t72bb_tv",
                        "rhs_t72bd_tv",
                        "UK3CB_ADA_B_T72A",
                        "UK3CB_ADA_B_T72BB",
                        "UK3CB_ADA_B_T72BC"
                        ]] call _fnc_saveToTemplate;               

["vehiclesAirborne", ["UK3CB_KDF_O_BMD1", "UK3CB_KDF_O_BMD1P", "UK3CB_KDF_O_BMD2"]] call _fnc_saveToTemplate;    // airborne vehicles dropped by parachute, could be with passenger seats or just a crew

["vehiclesAA", ["UK3CB_KDF_O_ZsuTank", "UK3CB_KRG_O_ZsuTank"]] call _fnc_saveToTemplate;                        // ideally heavily armed with anti-ground capability and enclosed turret. Passengers will be ignored. Shilka is the gold standard.



//  Boats
["vehiclesTransportBoats", ["UK3CB_TKA_O_RHIB"]] call _fnc_saveToTemplate;	            // Must be able to carry cargo and passengers.

["vehiclesGunBoats", ["UK3CB_TKA_O_RHIB_Gunboat"]] call _fnc_saveToTemplate;            // Should be armed and able to carry passengers.

//["vehiclesAmphibious", []] call _fnc_saveToTemplate;                                  // Vehicle that can swim.




// Fixed-wing aircraft
["vehiclesPlanesCAS", ["RHS_Su25SM_vvsc"]] call _fnc_saveToTemplate;                        // Will be used with CAS script, must be defined in setPlaneLoadout. Needs fixed gun and either rockets or missiles

["vehiclesPlanesAA", ["rhs_mig29s_vvsc"]] call _fnc_saveToTemplate;                         //Will be used with ASF script, must be defined in setPlaneLoadout.

["vehiclesPlanesTransport", ["UK3CB_ANA_B_C130J"]] call _fnc_saveToTemplate;	            //Plane that can carry passengers and cargo(?), infantry variant if availbe 
                                                                                            //no need for vehicle variant currently

// Rotary-wing aircraft
["vehiclesHelisLight", ["RHS_Mi8AMT_vvsc", "rhs_ka60_c"]] call _fnc_saveToTemplate;                 // ideally fragile & unarmed helis seating 4+

["vehiclesHelisTransport", ["rhs_ka60_c", "RHS_Mi8AMT_vvsc"]] call _fnc_saveToTemplate;             // bigger heli with more passengers. 

// Should be capable of dealing damage to ground targets without additional scripting
["vehiclesHelisLightAttack", ["RHS_Mi8MTV3_heavy_vvsc"]] call _fnc_saveToTemplate;                  // Utility helis with fixed or door guns + rocket pods

["vehiclesHelisAttack", [   "RHS_Mi24P_vvsc",                                                       // Proper attack helis: Apache, Hind etc
                            "RHS_Mi24V_vvsc",
                            "RHS_Mi24Vt_vvsc",
                            "rhs_mi28n_vvsc",
                            "RHS_Ka52_vvsc"
                            ]] call _fnc_saveToTemplate;                   


// Artillery vehicles
["vehiclesArtillery", ["UK3CB_KDF_O_2S1", "rhs_2s3_tv"]] call _fnc_saveToTemplate;             // wheeled or tracked vehicle with artillery cannon or rockets
["magazines", createHashMapFromArray [
    ["UK3CB_KDF_O_2S1", ["rhs_mag_3of56_10"]],
    ["rhs_2s3_tv", ["rhs_mag_HE_2a33", "rhs_mag_WP_2a33"]]
]] call _fnc_saveToTemplate;                                                      //element format: [Vehicle class, [Magazines]]


// Drones
["uavsAttack", ["O_T_UAV_04_CAS_F", "O_UAV_02_dynamicLoadout_F"]] call _fnc_saveToTemplate;                                      // unmanned aerial vehicle with heavy armament

["uavsPortable", ["rhs_pchela1t_vvsc"]] call _fnc_saveToTemplate;                        // unmanned aerial vehicle(drone), unarmed or armed(Western Sahara style), must be able to be disassembled


// Config special vehicles

// Militia vehicles
["vehiclesMilitiaLightArmed", ["UK3CB_KDF_O_UAZ_AGS30", "UK3CB_KDF_O_UAZ_MG", "UK3CB_KDF_O_UAZ_SPG9"]] call _fnc_saveToTemplate;                              // same as "vehiclesLightArmed" but for militia forces

["vehiclesMilitiaTrucks", ["UK3CB_KDF_O_Gaz66_Covered", "UK3CB_KDF_O_Gaz66_Open"]] call _fnc_saveToTemplate;     // same as "vehiclesTrucks" but for militia forces

["vehiclesMilitiaCars", ["UK3CB_KDF_O_UAZ_Open", "UK3CB_KDF_O_UAZ_Closed"]] call _fnc_saveToTemplate;                                 // same as "vehiclesLightUnarmed" but for militia forces

["vehiclesMilitiaAPCs", ["rhsgref_BRDM2_vdv", "rhs_btr60_msv"]] call _fnc_saveToTemplate;              // Militia APCs will be used at roadblocks and attacks at first 4 war levels

// Police vehicles
["vehiclesPolice", ["UK3CB_TKP_O_Hilux_Closed", "UK3CB_TKP_O_LandRover_Closed", "UK3CB_TKP_O_UAZ_Closed"]] call _fnc_saveToTemplate;      // cars used by police forces


// Static weapons and their ammunition
["staticMGs", ["rhs_KORD_high_MSV", "UK3CB_ADA_B_DSHKM"]] call _fnc_saveToTemplate;                     // Static machine guns, found at outpost towers and roadblocks for instance.

["staticAT", ["rhs_Kornet_9M133_2_msv"]] call _fnc_saveToTemplate;                      // static anti-tank weapons 

["staticAA", ["UK3CB_ADA_B_Igla_AA_pod"]] call _fnc_saveToTemplate;                 // static anti-aircraft weapons

["staticMortars", ["rhs_2b14_82mm_msv"]] call _fnc_saveToTemplate;              // static mortars

["mortarMagazineHE", "rhs_mag_3vo18_10"] call _fnc_saveToTemplate;                  // explosive ammo for mortars

["mortarMagazineSmoke", "rhs_mag_d832du_10"] call _fnc_saveToTemplate;              // smoke ammo for mortars

["mortarMagazineFlare", "rhs_mag_3vs25m_10"] call _fnc_saveToTemplate;              // flare ammo for mortars

["staticHowitzers", ["rhs_D30_msv"]] call _fnc_saveToTemplate;                  // static howitzers

["howitzerMagazineHE", "rhs_mag_3of56_10"] call _fnc_saveToTemplate;                // explosive ammo for Howitzer


// Anti-aircraft systems
["vehicleRadar", "O_Radar_System_02_F"] call _fnc_saveToTemplate;           // radar system, found at big bases

["vehicleSam", "O_SAM_System_04_F"] call _fnc_saveToTemplate;              // missle system, found at big bases




//Minefield definition
//CFGVehicles variant of Mines are needed "ATMine", "APERSTripMine", "APERSMine"
["minefieldAT", ["ATMine"]] call _fnc_saveToTemplate;                               // anti-tank mines
["minefieldAPERS", ["APERSTripMine", "APERSMine"]] call _fnc_saveToTemplate;        // anti-personnel mines
    



/////////////////////
///  Identities   ///
/////////////////////

// Faces given to AI Faction.
["faces", [         "GreekHead_A3_01", 
                    "GreekHead_A3_02",
                    "GreekHead_A3_03",
                    "GreekHead_A3_09",
                    "GreekHead_A3_11",
                    "GreekHead_A3_12",
                    "GreekHead_A3_13",
                    "GreekHead_A3_14",
                    "PersianHead_A3_01",
                    "PersianHead_A3_02",
                    "PersianHead_A3_03"
                    ]] call _fnc_saveToTemplate;


// Voices given to AI Faction.
["voices", [        "Male01PER", 
                    "Male02PER",  
                    "Male03PER"
                    ]] call _fnc_saveToTemplate;


// Insignia for soldiers and the police.
["insignia", []] call _fnc_saveToTemplate;
["polInsignia", []] call _fnc_saveToTemplate;




//////////////////////////
//       Loadouts       //
//////////////////////////

private _loadoutData = call _fnc_createLoadoutData;
_loadoutData set ["rifles", []];
_loadoutData set ["carbines", []];
_loadoutData set ["grenadeLaunchers", []];
_loadoutData set ["designatedGrenadeLaunchers", []];
_loadoutData set ["SMGs", []];
_loadoutData set ["machineGuns", []];
_loadoutData set ["marksmanRifles", []];
_loadoutData set ["sniperRifles", []];

_loadoutData set ["lightATLaunchers", []];
_loadoutData set ["lightHELaunchers", []];
_loadoutData set ["ATLaunchers", []];
_loadoutData set ["missileATLaunchers", []];
_loadoutData set ["AALaunchers", []];
_loadoutData set ["sidearms", []];

_loadoutData set ["ATMines", ["rhs_mag_mine_ptm1", "rhs_mine_tm62m_mag"]];
_loadoutData set ["APMines", ["rhs_mine_ozm72_a_mag", "rhs_mine_ozm72_b_mag", "rhs_mine_ozm72_c_mag", "rhs_mag_mine_pfm1", "rhs_mine_pmn2_mag"]];
_loadoutData set ["lightExplosives", ["rhs_ec200_mag"]];
_loadoutData set ["heavyExplosives", ["rhs_ec400_mag"]];

_loadoutData set ["antiInfantryGrenades", ["rhs_mag_f1", "rhs_mag_rgd5", "rhs_mag_rgo", "rhs_mag_rgn"]];                // Faction's anti-infantry grenades.
_loadoutData set ["smokeGrenades", ["rhs_mag_rdg2_white"]];                                                             // Faction's smoke grenade.
_loadoutData set ["signalsmokeGrenades", [ "rhs_mag_nspd", "rhs_mag_rdg2_black"]];                                      // Faction's signal smoke grenades.



// Basic equipment. Shouldn't need touching most of the time.
// Mods might override this, or certain mods might want items removed (No GPSs in WW2, for example)
// Or if want modded basic equipment from RHS for example, put them here.

_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];
_loadoutData set ["radios", ["ItemRadio"]];
_loadoutData set ["gpses", ["ItemGPS"]];
_loadoutData set ["NVGs", ["rhs_1PN138"]];
_loadoutData set ["binoculars", ["rhssaf_zrak_rd7j"]];
_loadoutData set ["rangefinders", ["rhs_pdu4"]];

// Clothes and vest for "kill the traitor" mission
_loadoutData set ["traitorUniforms", ["UK3CB_ADE_O_U_02_K"]];
_loadoutData set ["traitorVests", ["rhs_6b45_desert"]];
_loadoutData set ["traitorHats", ["rhsgref_bcap_specter"]];

// Clothes and vest for enemy officers. This will be used at military administations and officer assassination missions.
_loadoutData set ["officerUniforms", ["UK3CB_B_U_Officer_WDL"]];
_loadoutData set ["officerVests", ["rhs_gear_OFF"]];
_loadoutData set ["officerHats", ["UK3CB_AAF_B_H_Beret_SF"]];

_loadoutData set ["uniforms", []];
_loadoutData set ["vests", []];
_loadoutData set ["backpacks", []];
_loadoutData set ["longRangeRadios", []];           //long range radios used by radiomen
_loadoutData set ["helmets", []];
_loadoutData set ["SNIHats", ["UK3CB_CW_US_B_EARLY_H_BoonieHat_ERDL_02", "UK3CB_LNM_B_H_BoonieHat_WDL_02"]];       // Sniper hats.
_loadoutData set ["SLhat", ["UK3CB_AAF_B_H_Beret_SF"]];                                                         // Squad leader hats.
                                                                  

// Randomized facewear for the faction.
_loadoutData set ["facewear", [
                    "None", 
                    "G_Bandanna_aviator", 
                    "G_Bandanna_aviator", 
                    "UK3CB_G_Bandanna_shades_brown_check", 
                    "G_Bandanna_Skull2", 
                    "UK3CB_G_Bandanna_sport_green_check", 
                    "G_Bandanna_Vampire_01"
                    ]];

_loadoutData set ["glasses", [
                    "None", 
                    "G_Aviator", 
                    "UK3CB_G_Ballistic_Black", 
                    "G_Shades_Black", 
                    "G_Shades_Blue", 
                    "G_Shades_Green", 
                    "G_Shades_Red", 
                    "G_Sport_Greenblack", 
                    "G_Sport_Blackred"
                    ]];

_loadoutData set ["goggles", [
                    "None", 
                    "rhsusf_oakley_goggles_clr", 
                    "G_Lowprofile"
                    ]];


// Item *set* definitions. These are added in their entirety to unit loadouts. No randomisation is applied.
_loadoutData set ["items_medical_basic", ["BASIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_standard", ["STANDARD"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_medic", ["MEDIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_miscEssentials", [] call A3A_fnc_itemset_miscEssentials];


// Unit type specific item sets. Add or remove these, depending on the unit types in use.
private _slItems = ["Laserbatteries", "Laserbatteries", "Laserbatteries"];
private _eeItems = ["ToolKit", "MineDetector"];
private _mmItems = [];

if (A3A_hasACE) then {
    _slItems append ["ACE_microDAGR", "ACE_DAGR"];
    _eeItems append ["ACE_Clacker", "ACE_DefusalKit"];
    _mmItems append ["ACE_RangeCard", "ACE_ATragMX", "ACE_Kestrel4500"];
};


//Unit type specific item sets. Add or remove these, depending on the unit types in use.
_loadoutData set ["items_squadLeader_extras", _slItems];
_loadoutData set ["items_rifleman_extras", []];
_loadoutData set ["items_medic_extras", []];
_loadoutData set ["items_grenadier_extras", []];
_loadoutData set ["items_explosivesExpert_extras", _eeItems];
_loadoutData set ["items_engineer_extras", _eeItems];
_loadoutData set ["items_lat_extras", []];
_loadoutData set ["items_at_extras", []];
_loadoutData set ["items_aa_extras", []];
_loadoutData set ["items_machineGunner_extras", []];
_loadoutData set ["items_marksman_extras", _mmItems];
_loadoutData set ["items_sniper_extras", _mmItems];
_loadoutData set ["items_police_extras", []];
_loadoutData set ["items_crew_extras", []];
_loadoutData set ["items_unarmed_extras", []];



//TODO - ACE overrides for misc essentials, medical and engineer gear



///////////////////////////////////////
//    Special Forces Loadout Data    //
///////////////////////////////////////


// These troops are rare and have the best equipment.

// Basic equipment used by special forces.
private _sfLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_sfLoadoutData set ["uniforms", ["rhs_uniform_g3_mc", "rhs_uniform_g3_tan", "rhs_uniform_g3_rgr"]];

_sfLoadoutData set ["vests", [      "rhs_6b45_desert", 
                                    "rhs_6b45_rifleman",
                                    "rhs_6b45_rifleman_2"
                                    ]];

_sfLoadoutData set ["backpacks", ["UK3CB_CW_US_B_LATE_B_RIF_03", "UK3CB_B_Kitbag_DPM_68", "UK3CB_ION_B_B_RIF_DES_01", "UK3CB_ION_B_B_RIF_OLI_01", "B_Kitbag_tan"]];

_sfLoadoutData set ["helmets", [    "rhsusf_opscore_fg_pelt", 
                                    "rhsusf_opscore_fg_pelt_cam", 
                                    "rhsusf_opscore_mc_cover_pelt", 
                                    "rhsusf_opscore_mc_cover_pelt_nsw", 
                                    "rhsusf_opscore_mc_pelt",
                                    "rhsusf_opscore_mc_pelt_nsw"
                                    ]];

_sfLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j", "Laserdesignator"]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_sfLoadoutData set ["ATbackpacks", ["UK3CB_B_Carryall_WDL_01", "UK3CB_GAF_B_B_ENG_OLI", "UK3CB_GAF_B_B_ENG_TAN"]];
_sfLoadoutData set ["MEDbackpacks", ["UK3CB_ION_B_B_RIF_OLI_01", "UK3CB_CW_US_B_LATE_B_RIF_03", "UK3CB_B_Kitbag_DPM_68", "B_Kitbag_tan"]];
_sfLoadoutData set ["MEDvests", ["rhs_6b45_rifleman", "rhs_6b45_rifleman_2"]];
_sfLoadoutData set ["GLvests", ["rhs_6b45_grn"]];
_sfLoadoutData set ["MGvests", ["rhs_6b45_mg"]];


//_sfLoadoutData set ["uniforms", [""]];
//_sfLoadoutData set ["vests", [""]];
//_sfLoadoutData set ["MGvests", [""]];
//_sfLoadoutData set ["EEvests", [""]];
//_sfLoadoutData set ["MEDvests", [""]];
//_sfLoadoutData set ["SLvests", [""]];
//_sfLoadoutData set ["SNIvests", [""]];
//_sfLoadoutData set ["GLvests", [""]];
//_sfLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []

_sfLoadoutData set ["lightATLaunchers", [
    ["rhs_weap_m72a7", "", "", "", [], [], ""]
]];

_sfLoadoutData set ["lightHELaunchers", [
    ["rhs_weap_rshg2", "", "", "", [], [], ""]
]];

_sfLoadoutData set ["ATLaunchers", [
    ["rhs_weap_rpg7", "", "", "rhs_acc_pgo7v", ["rhs_rpg7_PG7VL_mag"], [], ""]
]];

_sfLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_sfLoadoutData set ["missileATLaunchers", [
    ["launch_O_Vorona_brown_F", "", "", "", ["Vorona_HEAT"], [], ""]
]];

_sfLoadoutData set ["rifles", [
    ["rhs_weap_ak74m", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74m_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74m_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_high", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_high", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"]
]];

_sfLoadoutData set ["carbines", [
    ["rhs_weap_ak74m", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74m_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74m_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], ""],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_high", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74mr", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_high", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"],
    ["rhs_weap_ak74m_camo_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], [], "rhs_acc_grip_ffg2"]
]];

_sfLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_ak74mr_gp25", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_high", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], ["rhs_VOG25"], ""],
    ["rhs_weap_ak74mr_gp25", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], ["rhs_VOG25"], ""],
    ["rhs_weap_ak74mr_gp25", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhs_acc_rakursPM", ["rhs_30Rnd_545x39_7N22_AK", "rhs_30Rnd_545x39_AK_plum_green"], ["rhs_VOG25"], ""]
]];

_sfLoadoutData set ["SMGs", [
    ["rhs_weap_aks74un", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N22_AK"], [], ""]
]];

_sfLoadoutData set ["machineGuns", [
    ["rhs_weap_pkp", "", "", "rhs_acc_pkas", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["rhs_weap_rpk74m_npz", "rhs_acc_dtkrpk", "rhs_acc_perst1ik", "rhs_acc_1p87", ["rhs_60Rnd_545X39_7N10_AK", "rhs_60Rnd_545X39_AK_Green"], [], ""]
]];

_sfLoadoutData set ["marksmanRifles", [
    ["rhs_weap_svdp_npz", "rhs_acc_tgpv2", "", "rhs_acc_dh520x56", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_sfLoadoutData set ["sniperRifles", [
    ["rhs_weap_t5000", "", "", "rhs_acc_dh520x56", ["rhs_5Rnd_338lapua_t5000"], [], "rhs_acc_harris_swivel"]
]];

_sfLoadoutData set ["sidearms", [
    ["rhs_weap_pya", "", "", "", ["rhs_mag_9x19_17"], [], ""]
]];





///////////////////////////////
//    Elite Loadout Data     //
///////////////////////////////


// These troops spawn after war level rises. They have better gear than regular soldiers.
// Pro tip: you can set the war level for elite spawning in the addon settings for antistasi ultimate!

// Basic equipment used by elite troops.
private _eliteLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_eliteLoadoutData set ["uniforms", [    "rhs_uniform_emr_des_patchless"]];

_eliteLoadoutData set ["vests", [       "rhs_6b45_desert", 
                                        "rhs_6b45_rifleman",
                                        "rhs_6b45_rifleman_2"
                                        ]];

_eliteLoadoutData set ["backpacks", [   "rhs_assault_umbts",
                                        "B_Kitbag_tan",
                                        "rhssaf_kitbag_smb",
                                        "rhssaf_kitbag_md2camo"
                                        ]];

_eliteLoadoutData set ["helmets", [     "rhs_6b47_bare",
                                        "rhs_6b47_bare_d",
                                        "rhs_6b47_6m2_1"
                                        ]];

_eliteLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j", "rhs_pdu4"]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_eliteLoadoutData set ["MGvests", ["rhs_6b45_mg"]];
_eliteLoadoutData set ["MEDvests", ["rhs_6b45_desert"]];
_eliteLoadoutData set ["SNIvests", ["rhs_6b45_rifleman_2"]];
_eliteLoadoutData set ["GLvests", ["rhs_6b45_grn"]];
_eliteLoadoutData set ["atbackpack", ["B_Carryall_cbr", "B_Carryall_khk"]];
_eliteLoadoutData set ["MEDbackpacks", ["B_Kitbag_tan", "rhssaf_kitbag_smb", "rhssaf_kitbag_md2camo"]];


//_eliteLoadoutData set ["uniforms", [""]];
//_eliteLoadoutData set ["vests", [""]];
//_eliteLoadoutData set ["MGvests", [""]];
//_eliteLoadoutData set ["EEvests", [""]];
//_eliteLoadoutData set ["MEDvests", [""]];
//_eliteLoadoutData set ["SLvests", [""]];
//_eliteLoadoutData set ["SNIvests", [""]];
//_eliteLoadoutData set ["GLvests", [""]];
//_eliteLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_eliteLoadoutData set ["lightATLaunchers", [
    ["rhs_weap_m72a7", "", "", "", [], [], ""]
]];

_eliteLoadoutData set ["lightHELaunchers", [
    ["rhs_weap_rshg2", "", "", "", [], [], ""]
]];

_eliteLoadoutData set ["ATLaunchers", [
    ["rhs_weap_rpg7", "", "", "rhs_acc_pgo7v", ["rhs_rpg7_PG7VL_mag"], [], ""]
]];

_eliteLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_eliteLoadoutData set ["missileATLaunchers", [
    ["launch_O_Vorona_brown_F", "", "", "", ["Vorona_HEAT"], [], ""]
]];

_eliteLoadoutData set ["rifles", [
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_pkas", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_ekp8_02", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "rhs_acc_ekp8_02", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["UK3CB_FAMAS_F1", "", "", "", ["UK3CB_FAMAS_25rnd_556x45"], [], ""],
    ["rhs_weap_vhsd2", "", "", "rhsusf_acc_compm4", ["rhsgref_30rnd_556x45_vhs2"], [], ""]
]];

_eliteLoadoutData set ["carbines", [
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_pkas", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_ekp8_02", ["rhs_30Rnd_545x39_7N10_AK"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "rhs_acc_ekp8_02", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["UK3CB_FAMAS_F1", "", "", "", ["UK3CB_FAMAS_25rnd_556x45"], [], ""],
    ["rhs_weap_vhsd2", "", "", "rhsusf_acc_compm4", ["rhsgref_30rnd_556x45_vhs2"], [], ""]
]];

_eliteLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_ak103_gp25", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], ["rhs_VOG25"], ""],
    ["rhs_weap_ak103_gp25", "rhs_acc_dtk", "", "rhs_acc_ekp8_02", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], ["rhs_VOG25"], ""],
    ["rhs_weap_ak103_gp25", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], ["rhs_VOG25"], ""]
]];

_eliteLoadoutData set ["designatedGrenadeLaunchers", [
    ["rhs_weap_m79", "", "", "", ["1Rnd_HE_Grenade_shell"], [], ""]
]];

_eliteLoadoutData set ["SMGs", [
    ["uk3cb_mat49", "", "", "", ["UK3CB_MAT49_32Rnd_9x19_Magazine"], [], ""]
]];

_eliteLoadoutData set ["machineGuns", [
    ["rhs_weap_pkp", "", "", "", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["rhs_weap_pkp", "", "", "rhs_acc_pkas", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["rhs_weap_pkm", "", "", "", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["UK3CB_RPK", "", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_eliteLoadoutData set ["marksmanRifles", [
    ["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_eliteLoadoutData set ["sniperRifles", [
    ["rhs_weap_t5000", "", "", "rhs_acc_dh520x56", ["rhs_5Rnd_338lapua_t5000"], [], "rhs_acc_harris_swivel"]
]];

_eliteLoadoutData set ["sidearms", [
    ["rhs_weap_pya", "", "", "", ["rhs_mag_9x19_17"], [], ""]
]];





/////////////////////////////////
//    Military Loadout Data    //
/////////////////////////////////


// These are the regular soldiers.

// Basic equipment used by regular soldiers.
private _militaryLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_militaryLoadoutData set ["uniforms", [ "UK3CB_FIA_B_U_M10_CombatUniform_WDL01_01",
                                        "UK3CB_FIA_B_U_M10_CombatUniform_WDL01_02",
                                        "UK3CB_LSM_B_U_CombatUniform_01",
                                        "UK3CB_LNM_B_U_CombatUniform_06",
                                        "UK3CB_LNM_B_U_CombatUniform_07",
                                        "UK3CB_LNM_B_U_CombatUniform_08",
                                        "UK3CB_FIA_B_U_M10_CombatUniform_DPM01_01",
                                        "UK3CB_FIA_B_U_M10_CombatUniform_DPM01_02"
                                        ]];

_militaryLoadoutData set ["vests", [    "rhssaf_vest_md99_md2camo_rifleman", 
                                        "rhssaf_vest_md99_md2camo_rifleman_radio",
                                        "rhs_6b45_rifleman",
                                        "rhs_6b45_rifleman_2"
                                        ]];

_militaryLoadoutData set ["backpacks", ["rhs_assault_umbts",
                                        "UK3CB_CSAT_O_B_TACPACK_OLI",
                                        "rhssaf_kitbag_smb",
                                        "rhssaf_kitbag_md2camo",
                                        "UK3CB_B_Kitbag_DPM_68"
                                        ]];
                                        
_militaryLoadoutData set ["helmets", [  "rhs_6b27m_green",
                                        "rhs_6b27m_green_ess",
                                        "rhs_6b47_bare"
                                        ]];

_militaryLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j"]];





// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_militaryLoadoutData set ["ATbackpacks", ["B_Carryall_oli", "B_Carryall_cbr"]];
_militaryLoadoutData set ["MEDbackpacks", ["UK3CB_B_Alice_Med_K", "UK3CB_B_Alice_Medic_Bedroll_K", "UK3CB_B_Alice_Medic_Bedroll_2_K"]];
_militaryLoadoutData set ["SLvests", ["rhs_6b45_off"]];
_militaryLoadoutData set ["GLvests", ["rhs_6b45_grn", "rhssaf_vest_md99_woodland_rifleman_radio"]];
_militaryLoadoutData set ["MGvests", ["rhs_6b45_mg", "rhssaf_vest_md99_woodland_rifleman_radio"]];

//_militaryLoadoutData set ["uniforms", [""]];
//_militaryLoadoutData set ["vests", [""]];
//_militaryLoadoutData set ["MGvests", [""]];
//_militaryLoadoutData set ["EEvests", [""]];
//_militaryLoadoutData set ["MEDvests", [""]];
//_militaryLoadoutData set ["SLvests", [""]];
//_militaryLoadoutData set ["SNIvests", [""]];
//_militaryLoadoutData set ["GLvests", [""]];
//_militaryLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_militaryLoadoutData set ["lightATLaunchers", [
    ["rhs_weap_rpg75", "", "", "", [], [], ""]
]];

_militaryLoadoutData set ["lightHELaunchers", [
    ["rhs_weap_rpg7", "", "", "", ["rhs_rpg7_TBG7V_mag"], [], ""]
]];

_militaryLoadoutData set ["ATLaunchers", [
    ["rhs_weap_rpg7", "", "", "", ["rhs_rpg7_PG7VL_mag"], [], ""]
]];

_militaryLoadoutData set ["missileATLaunchers", [
    ["launch_O_Vorona_brown_F", "", "", "", ["Vorona_HEAT"], [], ""]
]];

_militaryLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_militaryLoadoutData set ["rifles", [
    ["rhs_weap_akm", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_ak74", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_545x39_7N6_AK", "rhs_30Rnd_545x39_AK_green"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "", ["rhs_30Rnd_545x39_7N6_AK", "rhs_30Rnd_545x39_AK_green"], [], ""],
    ["rhs_weap_ak74m", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_545x39_7N6_AK", "rhs_30Rnd_545x39_AK_green"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk1983", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_m70b1", "", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["UK3CB_M16A2", "", "", "", ["rhs_mag_30Rnd_556x45_M855A1_Stanag"], [], ""],
    ["rhs_weap_l1a1", "rhsgref_acc_falMuzzle_l1a1", "", "", ["rhs_mag_20Rnd_762x51_m80_fnfal"], [], ""],
    ["UK3CB_FAMAS_F1", "", "", "", ["UK3CB_FAMAS_25rnd_556x45", "UK3CB_FAMAS_25rnd_556x45_GT"], [], ""]
]];

_militaryLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_m70ab2", "", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""]
]];

_militaryLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_akm_gp25", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_militaryLoadoutData set ["SMGs", [
    ["uk3cb_mat49", "", "", "", ["UK3CB_MAT49_32Rnd_9x19_Magazine_W"], [], ""]
]];

_militaryLoadoutData set ["machineGuns", [
    ["UK3CB_RPD", "", "", "", ["UK3CB_RPD_100rnd_762x39", "UK3CB_RPD_100rnd_762x39_GT"], [], ""],
    ["rhs_weap_pkm", "", "", "", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["UK3CB_RPK", "", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militaryLoadoutData set ["marksmanRifles", [
    ["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_militaryLoadoutData set ["sniperRifles", [
    ["rhs_weap_t5000", "", "", "rhs_acc_dh520x56", ["rhs_5Rnd_338lapua_t5000"], [], "rhs_acc_harris_swivel"]
]];

_militaryLoadoutData set ["sidearms", [
    ["rhs_weap_makarov_pm", "", "", "", ["rhs_mag_9x18_8_57N181S"], [], ""]
]];





////////////////////////////////
//    Militia Loadout Data    //
////////////////////////////////


// These are the lesser equipped troops found during  early game and who are used to occupy areas.
// Pro tip: You can set when they stop spawning in the addon settings for antistasi ultimate!

// Basic equipment used by milia troops.
private _militiaLoadoutData = _loadoutData call _fnc_copyLoadoutData;

// Uniforms.
_militiaLoadoutData set ["uniforms", [  "UK3CB_MDF_B_U_CombatUniform_02_LIZ_OD",
                                        "rhsgref_uniform_altis_lizard",
                                        "UK3CB_MDF_B_U_CombatUniform_01_LIZ",
                                        "rhsgref_uniform_dpm",
                                        "UK3CB_LSM_B_U_CombatUniform_04"
                                        ]];

// Vests.
_militiaLoadoutData set ["vests", [     "UK3CB_TKA_I_V_6Sh92_Oli", 
                                        "UK3CB_TKP_I_V_6Sh92_Des", 
                                        "UK3CB_V_Chestrig_ERDL",
                                        "UK3CB_V_Chestrig_OLI",
                                        "UK3CB_V_Chestrig_WDL_01",
                                        "UK3CB_V_Chestrig_WDL_02",
                                        "UK3CB_CW_US_B_LATE_V_PASGT_Crew_Vest"
                                        ]];

// Backpacks.
_militiaLoadoutData set ["backpacks", [ "UK3CB_B_Alice_pack_frame_01_M81", 
                                        "UK3CB_B_Alice_pack_frame_01", 
                                        "UK3CB_B_Alice_pack_frame_02_M81", 
                                        "UK3CB_B_Alice_pack_frame_02" 
                                        ]];

// Helmets.
_militiaLoadoutData set ["helmets", [   "rhs_ssh60", 
                                        "rhs_ssh68_2", 
                                        "UK3CB_ARD_B_H_SSh68_Des", 
                                        "UK3CB_H_SSH60_Helmet_Covered_TAN"
                                        ]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_militiaLoadoutData set ["MGvests", ["UK3CB_V_Chestrig_WDL_01", "UK3CB_V_Chestrig_WDL_02", "UK3CB_V_Chestrig_ERDL", "UK3CB_TKA_I_V_6Sh92_Oli", "UK3CB_TKP_I_V_6Sh92_Des", "UK3CB_CW_US_B_LATE_V_PASGT_Crew_Vest"]];
_militiaLoadoutData set ["MEDbackpacks", ["UK3CB_B_Alice_Med_K", "UK3CB_B_Alice_Medic_Bedroll_K"]];


//_militiaLoadoutData set ["uniforms", [""]];
//_militiaLoadoutData set ["vests", [""]];
//_militiaLoadoutData set ["MGvests", [""]];
//_militiaLoadoutData set ["EEvests", [""]];
//_militiaLoadoutData set ["MEDvests", [""]];
//_militiaLoadoutData set ["SLvests", [""]];
//_militiaLoadoutData set ["SNIvests", [""]];
//_militiaLoadoutData set ["GLvests", [""]];
//_militiaLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines like 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_militiaLoadoutData set ["ATLaunchers", [
    ["rhs_weap_rpg75", "", "", "", [], [], ""]
]];

_militiaLoadoutData set ["rifles", [
    ["rhs_weap_akm", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_akmn", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_pm63", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_m70b1", "", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_ak74", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_545x39_7N6_AK", "rhs_30Rnd_545x39_AK_green"], [], ""],
    ["rhs_weap_savz58p", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_762x39mm_Savz58", "rhs_30Rnd_762x39mm_Savz58_tracer"], [], ""],
    ["uk3cb_sks_01", "", "", "", ["uk3cb_10rnd_magazine_sks"], [], ""],
    ["rhs_weap_l1a1", "rhsgref_acc_falMuzzle_l1a1", "", "", ["rhs_mag_20Rnd_762x51_m80_fnfal"], [], ""]
]];

_militiaLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_m70ab2", "", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_savz58p", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_762x39mm_Savz58", "rhs_30Rnd_762x39mm_Savz58_tracer"], [], ""],
    ["uk3cb_sks_01", "", "", "", ["uk3cb_10rnd_magazine_sks"], [], ""],
    ["rhs_weap_MP44", "", "", "", ["rhsgref_25Rnd_792x33_SmE_StG"], [], ""]
]];

_militiaLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_akm_gp25", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_militiaLoadoutData set ["SMGs", [
    ["uk3cb_mat49", "", "", "", ["UK3CB_MAT49_32Rnd_9x19_Magazine_W"], [], ""]
]];

_militiaLoadoutData set ["machineGuns", [
    ["UK3CB_RPD", "", "", "", ["UK3CB_RPD_100rnd_762x39", "UK3CB_RPD_100rnd_762x39_GT"], [], ""],
    ["rhs_weap_pkm", "", "", "", ["rhs_100Rnd_762x54mmR", "rhs_100Rnd_762x54mmR_green"], [], ""],
    ["UK3CB_RPK", "", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militiaLoadoutData set ["marksmanRifles", [
    ["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["UK3CB_SVD_10rnd_762x54"], [], ""]
]];

_militiaLoadoutData set ["sidearms", [
    ["rhs_weap_makarov_pm", "", "", "", ["rhs_mag_9x18_8_57N181S"], [], ""]
]];





///////////////////////////////
//    Police Loadout Data    //
///////////////////////////////


// These are the police units.

// Basic equipment used by police units.
private _policeLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_policeLoadoutData set ["uniforms", ["UK3CB_NPD_B_U_Policeman_01"]];
_policeLoadoutData set ["vests", ["UK3CB_TKP_O_V_6b23_ML_6sh92_radio_BLK"]];
_policeLoadoutData set ["helmets", ["UK3CB_CPD_B_H_Beret", "UK3CB_ANP_B_H_6b27m_BLK", "UK3CB_CSAT_U_O_H_6b47_Bare_BLK"]];

_policeLoadoutData set ["SMGs", [
    ["uk3cb_mat49", "", "", "", ["UK3CB_MAT49_32Rnd_9x19_Magazine"], [], ""]
]];

_policeLoadoutData set ["rifles", [
    ["rhs_weap_ak104", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["rhs_weap_ak104", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer"], [], ""]
]];

_policeLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm"], [], ""],
    ["rhs_weap_m70ab2", "", "", "", ["rhs_30Rnd_762x39mm_polymer", "rhs_30Rnd_762x39mm_polymer_tracer"], [], ""],
    ["rhs_weap_savz58p", "rhs_acc_dtk1983", "", "", ["rhs_30Rnd_762x39mm_Savz58", "rhs_30Rnd_762x39mm_Savz58_tracer"], [], ""],
    ["rhs_weap_ak104", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["rhs_weap_ak104", "rhs_acc_dtk", "", "rhs_acc_1p63", ["rhs_30Rnd_762x39mm_polymer"], [], ""]
]];

_policeLoadoutData set ["sidearms", [
    ["UK3CB_BHP", "", "", "", ["UK3CB_BHP_9_13Rnd"], [], ""]
]];


//////////////////////////
//    Misc Loadouts     //
//////////////////////////


// Basic equipment used by tank crews.
private _crewLoadoutData = _militaryLoadoutData call _fnc_copyLoadoutData;
_crewLoadoutData set ["uniforms", ["UK3CB_ADM_B_U_CombatUniform_Shortsleeve_01_WDL", "UK3CB_ADM_B_U_CombatUniform_01_WDL"]];
_crewLoadoutData set ["vests", ["UK3CB_LDF_B_V_CREW_Vest_KKZ10_OLI"]];
_crewLoadoutData set ["helmets", ["H_Tank_black_F"]];

_crewLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm"], [], ""]
]];

_crewLoadoutData set ["sidearms", [
    ["rhs_weap_makarov_pm", "", "", "", ["rhs_mag_9x18_8_57N181S"], [], ""]
]];


// Basic equipment used by pilots.
private _pilotLoadoutData = _militaryLoadoutData call _fnc_copyLoadoutData;
_pilotLoadoutData set ["uniforms", ["rhs_uniform_df15"]];
_pilotLoadoutData set ["vests", ["rhs_6b45_desert"]];
_pilotLoadoutData set ["helmets", ["H_PilotHelmetHeli_O"]];

_pilotLoadoutData set ["SMGs", [
    ["rhs_weap_pp2000", "", "", "", ["rhs_mag_9x19mm_7n21_20"], [], ""]
]];

_pilotLoadoutData set ["sidearms", [
    ["rhs_weap_pya", "", "", "", ["rhs_mag_9x19_17"], [], ""]
]];


/////////////////////////////////
//    Unit Type Definitions    //
/////////////////////////////////
//These define the loadouts for different unit types.
//For example, rifleman, grenadier, squad leader, etc.
//In 95% of situations, you *should not need to edit these*.
//Almost all factions can be set up just by modifying the loadout data above.
//However, these exist in case you really do want to do a lot of custom alterations.

private _squadLeaderTemplate = {
    [selectRandomWeighted ["helmets", 2, "SLhat", 1]] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["SLvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    [["SLuniforms", "uniforms"] call _fnc_fallback] call _fnc_setUniform;
    [["SLrifles", "rifles"] call _fnc_fallback] call _fnc_setPrimary;
    ["backpacks"] call _fnc_setBackpack;
    ["primary", 6] call _fnc_addMagazines;
    ["primary", 4] call _fnc_addAdditionalMuzzleMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_squadLeader_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["signalsmokeGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["gpses"] call _fnc_addGPS;
    ["binoculars"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _riflemanTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_rifleman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _radiomanTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["longRangeRadios"] call _fnc_setBackpack;


    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_rifleman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _medicTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["MEDvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    [["MEDbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["rifles", "carbines", "SMGs"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_medic"] call _fnc_addItemSet;
    ["items_medic_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _grenadierTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1.25]] call _fnc_setFacewear;
    [["GLvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    if (random 1 < 0.3) then {
        [["designatedGrenadeLaunchers", "grenadeLaunchers"] call _fnc_fallback] call _fnc_setPrimary;
    } else {
        ["grenadeLaunchers"] call _fnc_setPrimary;
    };
    
    ["primary", 6] call _fnc_addMagazines;
    ["primary", 10] call _fnc_addAdditionalMuzzleMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_grenadier_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 4] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _explosivesExpertTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["EEvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;


    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_explosivesExpert_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["lightExplosives", 2] call _fnc_addItem;
    if (random 1 > 0.5) then {["heavyExplosives", 1] call _fnc_addItem;};
    if (random 1 > 0.5) then {["atMines", 1] call _fnc_addItem;};
    if (random 1 > 0.5) then {["apMines", 1] call _fnc_addItem;};

    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _engineerTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    [selectRandom ["carbines", "SMGs"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_engineer_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    if (random 1 > 0.5) then {["lightExplosives", 1] call _fnc_addItem;};

    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _latTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    //[["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;       // Backpack is disabled for light AT because in this template they use a disposable launcher, meaning there is no need for ammo storage. 
                                                                                     // If you want light AT people to use things such as the rpg 7, remove the // and they will have the AT backpack. 

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    [["lightATLaunchers", "ATLaunchers"] call _fnc_fallback] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_lat_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _atTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    [["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    [selectRandom ["ATLaunchers", "missileATLaunchers"]] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_at_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _aaTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    [["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["AALaunchers"] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_aa_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _machineGunnerTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["MGvests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    ["machineGuns"] call _fnc_setPrimary;
    ["primary", 4] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_machineGunner_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _marksmanTemplate = {
    [selectRandomWeighted ["helmets", 2, "SNIHats", 1]] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, 0.75, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    ["marksmanRifles"] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_marksman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["rangefinders"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _sniperTemplate = {
    ["SNIHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["SNIVests","vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [["sniperRifles", "marksmanRifles"] call _fnc_fallback] call _fnc_setPrimary;
    ["primary", 7] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_sniper_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["rangefinders"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _policeTemplate = {
    ["helmets"] call _fnc_setHelmet;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["SMGs", "rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 4] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_police_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _crewTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["carbines"]] call _fnc_setPrimary;
    ["primary", 3] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_crew_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["gpses"] call _fnc_addGPS;
    ["NVGs"] call _fnc_addNVGs;
};

private _unarmedTemplate = {
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _traitorTemplate = {
    ["traitorHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.25, "glasses", 0.75]] call _fnc_setFacewear;
    ["traitorVests"] call _fnc_setVest;
    ["traitorUniforms"] call _fnc_setUniform;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};
private _officerTemplate = {
    ["officerHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.25, "glasses", 0.75]] call _fnc_setFacewear;
    ["officerVests"] call _fnc_setVest;
    ["officerUniforms"] call _fnc_setUniform;

    [["SMGs", "carbines"] call _fnc_fallback] call _fnc_setPrimary;
    ["primary", 3] call _fnc_addMagazines;
    
    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

////////////////////////////////////////////////////////////////////////////////////////
//  You shouldn't touch below this line unless you really really know what you're doing.
//  Things below here can and will break the gamemode if improperly changed.
////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////
//  Special Forces Units   //
/////////////////////////////
private _prefix = "SF";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]]
];


[_prefix, _unitTypes, _sfLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

/*{
    params ["_name", "_loadoutTemplate"];
    private _loadouts = [_sfLoadoutData, _loadoutTemplate] call _fnc_buildLoadouts;
    private _finalName = _prefix + _name;
    [_finalName, _loadouts] call _fnc_saveToTemplate;
} forEach _unitTypes;
*/

///////////////////////
//  Military Units   //
///////////////////////
private _prefix = "military";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

////////////////////////
//    Police Units    //
////////////////////////
private _prefix = "police";
private _unitTypes = [
	["SquadLeader", _policeTemplate, [], [_prefix]],
	["Standard", _policeTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _policeLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

////////////////////////
//    Militia Units    //
////////////////////////
private _prefix = "militia";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _militiaLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

///////////////////////
//  Elite Units   //
///////////////////////
private _prefix = "elite";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]]
];


[_prefix, _unitTypes, _eliteLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//////////////////////
//    Misc Units    //
//////////////////////

//The following line determines the loadout of vehicle crew.
["other", [["Crew", _crewTemplate, [], ["other"]]], _crewLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of pilots. The line says crew but don't touch it!
["other", [["Pilot", _crewTemplate, [], ["other"]]], _pilotLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;


//The following line determines the loadout of the officers in "kill the officer" mission and the officer found at military administrations.
["other", [["Official", _officerTemplate, [], ["other"]]], _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of the traitor in "kill the traitor" missions.
["other", [["Traitor", _traitorTemplate, [], ["other"]]], _militiaLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of AI in "invader punishment" missions.
["other", [["Unarmed", _UnarmedTemplate, [], ["other"]]], _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;


// All done :3