//////////////////////////
//   Side Information   //
//////////////////////////

private _hasApex = "expansion" in A3A_enabledDLC;


["name", "AJA"] call _fnc_saveToTemplate;
["spawnMarkerName", "AJA Support Corridor"] call _fnc_saveToTemplate;

["flag", "flag_NATO_F"] call _fnc_saveToTemplate;
["flagTexture", "\usp_flags\data\mideast\flag_iran_co.paa"] call _fnc_saveToTemplate;
["flagMarkerType", "USP_MARKER_IRAN"] call _fnc_saveToTemplate;

//init = "(_this select 0) setFlagTexture ""\usp_flags\data\mideast\flag_syria_co.paa""";

//////////////////////////
//       Vehicles       //
//////////////////////////

["ammobox", "B_supplyCrate_F"] call _fnc_saveToTemplate;
["surrenderCrate", "Box_IND_Wps_F"] call _fnc_saveToTemplate;   //Changing this from default will require you to define logistics attachement offset for the box type
["equipmentBox", "Box_NATO_Equip_F"] call _fnc_saveToTemplate;  //Changing this from default will require you to define logistics attachement offset for the box type

["smallBunker", ""] call _fnc_saveToTemplate;
["sandbag", ""] call _fnc_saveToTemplate;
["sandbagRound", ""] call _fnc_saveToTemplate;




// Vehicles can be placed in more than one category if they fit between both. Cost will be derived by the higher category

// Cars, trucks etc.
["vehiclesBasic", ["UK3CB_ADA_O_Quadbike"]] call _fnc_saveToTemplate;			                                            // unarmed or armed, with 0-2 passengers

["vehiclesLightUnarmed", ["I_C_Offroad_02_unarmed_F", "I_C_Offroad_02_unarmed_F", "UK3CB_ADR_I_LR_Closed"]] call _fnc_saveToTemplate;		                // must be unarmed, unarmoured to lightly armoured, with 0-4 passengers

["vehiclesLightArmed", [    "UK3CB_ARD_O_UAZ_MG",                        // Should be armed, unarmoured to lightly armoured, with 0-4 passengers
                            "I_C_Offroad_02_AT_F", 
                            "UK3CB_ARD_O_UAZ_AGS30" 
                            ]] call _fnc_saveToTemplate;                            

["vehiclesTrucks", [        "rhs_kraz255b1_cargo_open_vmf",                      // vehicle that can carry troops and cargoboxes
                            "UK3CB_ARD_O_Zil131_Covered", 
                            "UK3CB_ARD_O_Zil131_Open", 
                            "I_C_Van_01_transport_F"
                            ]] call _fnc_saveToTemplate;	

["vehiclesCargoTrucks", ["UK3CB_ARD_O_Zil131_Flatbed", "rhs_kraz255b1_flatbed_vmf"]] call _fnc_saveToTemplate;		                                    // vehicle that can carry only cargoboxes

["vehiclesAmmoTrucks", ["UK3CB_ARD_O_Ural_Ammo"]] call _fnc_saveToTemplate;		                // wheeled vehicle with capability to rearm vehicles

["vehiclesRepairTrucks", ["UK3CB_ARD_O_Ural_Repair"]] call _fnc_saveToTemplate;		            // wheeled vehicle with capability to repair vehicles

["vehiclesFuelTrucks", ["UK3CB_ARD_O_Ural_Fuel"]] call _fnc_saveToTemplate;		                                            // wheeled vehicle with capability to refuel vehicles

["vehiclesMedical", ["UK3CB_ARD_B_MTLB_AMB", "UK3CB_ARD_O_Hilux_Ambulance"]] call _fnc_saveToTemplate;		                                                // vehicle with capability to provide healing

// Armored fighting vehicles
["vehiclesLightAPCs", [ "UK3CB_ARD_O_BTR60",               // armed, lightly armoured, with 6-8 passengers 
                        "UK3CB_KRG_O_M113tank_M2_90", 
                        "UK3CB_ARD_O_BRDM2_HQ",
                        "UK3CB_B_MaxxPro_M2_US",
                        "UK3CB_KDF_O_MTLB_PKT"
                        ]] call _fnc_saveToTemplate;                

["vehiclesAPCs", [      "UK3CB_ARD_O_BMP1",                 // armed with enclosed turret, armoured, with 6-8 passengers
                        "UK3CB_ARD_O_BMP2",
                        "UK3CB_ARD_O_BTR60",
                        "UK3CB_ION_I_Desert_M113_M2"             
                        ]] call _fnc_saveToTemplate;  

["vehiclesIFVs", ["UK3CB_ARD_O_BMP1", "UK3CB_ARD_O_BMP2", "UK3CB_ARD_O_BMP2K"]] call _fnc_saveToTemplate;                                            // capable of surviving multiple rockets, cannon armed, with 6-8 passengers

["vehiclesLightTanks", ["UK3CB_ARD_O_BMP2", "UK3CB_ARD_B_T55"]] call _fnc_saveToTemplate;             // tanks with poor armor and weapons

["vehiclesTanks", [     "UK3CB_ARD_O_T72A",                          // cannon armed, heavily armored, passengers will be ignored
                        "UK3CB_ARD_O_T72BB",
                        "UK3CB_KRG_I_FV4201",
                        "UK3CB_KRG_I_M60A3",
                        "rhs_t90sm_tv",
                        "rhs_t72be_tv"
                        ]] call _fnc_saveToTemplate;               

["vehiclesAirborne", ["UK3CB_ARD_O_BTR60", "UK3CB_ION_I_Desert_M113_M2"]] call _fnc_saveToTemplate;    // airborne vehicles dropped by parachute, could be with passenger seats or just a crew

["vehiclesAA", ["UK3CB_KRG_B_ZsuTank", "UK3CB_ARD_B_ZsuTank"]] call _fnc_saveToTemplate;                        // ideally heavily armed with anti-ground capability and enclosed turret. Passengers will be ignored. Shilka is the gold standard.



//  Boats
["vehiclesTransportBoats", ["O_Boat_Armed_01_hmg_F"]] call _fnc_saveToTemplate;	            // Must be able to carry cargo and passengers.

["vehiclesGunBoats", ["O_Boat_Armed_01_hmg_F"]] call _fnc_saveToTemplate;            // Should be armed and able to carry passengers.

//["vehiclesAmphibious", []] call _fnc_saveToTemplate;                                  // Vehicle that can swim.




// Fixed-wing aircraft
["vehiclesPlanesCAS", ["UK3CB_ARD_I_Su25SM"]] call _fnc_saveToTemplate;                        // Will be used with CAS script, must be defined in setPlaneLoadout. Needs fixed gun and either rockets or missiles

["vehiclesPlanesAA", ["UK3CB_ARD_I_MIG29SM"]] call _fnc_saveToTemplate;                         //Will be used with ASF script, must be defined in setPlaneLoadout.

["vehiclesPlanesTransport", ["UK3CB_ADA_O_C130J"]] call _fnc_saveToTemplate;	            //Plane that can carry passengers and cargo(?), infantry variant if availbe 
                                                                                            //no need for vehicle variant currently

// Rotary-wing aircraft
["vehiclesHelisLight", ["UK3CB_ARD_O_Mi8", "UK3CB_ADA_O_UH1H_M240", "UK3CB_AAF_I_Bell412_Armed"]] call _fnc_saveToTemplate;                 // ideally fragile & unarmed helis seating 4+

["vehiclesHelisTransport", ["UK3CB_ARD_O_Mi8", "UK3CB_ADA_O_UH1H_M240", "B_Heli_Transport_03_unarmed_F", "UK3CB_AAF_I_Bell412_Armed"]] call _fnc_saveToTemplate;             // bigger heli with more passengers. 

// Should be capable of dealing damage to ground targets without additional scripting
["vehiclesHelisLightAttack", ["UK3CB_ADA_O_UH1H_GUNSHIP", "UK3CB_ARD_O_Mi8AMTSh"]] call _fnc_saveToTemplate;                  // Utility helis with fixed or door guns + rocket pods

["vehiclesHelisAttack", [   "UK3CB_CSAT_B_O_Mi_24G_FAB"]] call _fnc_saveToTemplate;                                                     // Proper attack helis: Apache, Hind etc
                                               


// Artillery vehicles
["vehiclesArtillery", ["rhsgref_cdf_b_2s1", "UK3CB_KRG_O_M109"]] call _fnc_saveToTemplate;             // wheeled or tracked vehicle with artillery cannon or rockets
["magazines", createHashMapFromArray [
    ["rhsgref_cdf_b_2s1", ["rhs_mag_3of56_10"]],
    ["UK3CB_KRG_O_M109", ["rhs_mag_155mm_m795_28"]]
]] call _fnc_saveToTemplate;                                                      //element format: [Vehicle class, [Magazines]]


// Drones
["uavsAttack", ["UK3CB_CSAT_B_O_Ababil_CAS", "UK3CB_CSAT_B_O_Fenghuang"]] call _fnc_saveToTemplate;                                      // unmanned aerial vehicle with heavy armament

["uavsPortable", ["rhs_pchela1t_vvs"]] call _fnc_saveToTemplate;                        // unmanned aerial vehicle(drone), unarmed or armed(Western Sahara style), must be able to be disassembled


// Config special vehicles

// Militia vehicles
["vehiclesMilitiaLightArmed", ["UK3CB_ARD_O_UAZ_MG", "I_C_Offroad_02_AT_F", "UK3CB_ARD_O_UAZ_AGS30"]] call _fnc_saveToTemplate;                              // same as "vehiclesLightArmed" but for militia forces

["vehiclesMilitiaTrucks", [ "rhs_kraz255b1_cargo_open_vmf",     // same as "vehiclesTrucks" but for militia forces                    
                            "UK3CB_ARD_O_Zil131_Covered", 
                            "UK3CB_ARD_O_Zil131_Open", 
                            "I_C_Van_01_transport_F"
                            ]] call _fnc_saveToTemplate;     

["vehiclesMilitiaCars", ["I_C_Offroad_02_unarmed_F", "I_C_Offroad_02_unarmed_F", "UK3CB_ADR_I_LR_Closed"]] call _fnc_saveToTemplate;                                 // same as "vehiclesLightUnarmed" but for militia forces

["vehiclesMilitiaAPCs", ["UK3CB_ARD_O_BMP1", "UK3CB_ARD_O_BTR60"]] call _fnc_saveToTemplate;              // Militia APCs will be used at roadblocks and attacks at first 4 war levels

// Police vehicles
["vehiclesPolice", [    "UK3CB_TKP_O_Offroad",
                        "UK3CB_TKP_O_Offroad_M2", 
                        "UK3CB_TKP_O_Lada_Police",
                        "UK3CB_TKP_O_LandRover_Closed",
                        "UK3CB_MEE_O_BTR60",
                        "rhs_tigr_sts_3camo_msv"
                        ]] call _fnc_saveToTemplate;      // cars used by police forces


// Static weapons and their ammunition
["staticMGs", ["UK3CB_CSAT_B_O_PKM_High", "UK3CB_CSAT_B_O_DSHKM"]] call _fnc_saveToTemplate;                     // Static machine guns, found at outpost towers and roadblocks for instance.

["staticAT", ["UK3CB_KRG_O_TOW_TriPod", "rhs_Metis_9k115_2_vmf"]] call _fnc_saveToTemplate;                      // static anti-tank weapons 

["staticAA", ["UK3CB_ARD_O_Igla_AA_pod", "UK3CB_ARD_O_ZU23"]] call _fnc_saveToTemplate;                 // static anti-aircraft weapons

["staticMortars", ["UK3CB_CSAT_B_O_2b14_82mm"]] call _fnc_saveToTemplate;              // static mortars

["mortarMagazineHE", "rhs_mag_3vo18_10"] call _fnc_saveToTemplate;                  // explosive ammo for mortars

["mortarMagazineSmoke", "rhs_mag_d832du_10"] call _fnc_saveToTemplate;              // smoke ammo for mortars

["mortarMagazineFlare", "rhs_mag_3vs25m_10"] call _fnc_saveToTemplate;              // flare ammo for mortars

["staticHowitzers", ["UK3CB_KRG_O_M119"]] call _fnc_saveToTemplate;                  // static howitzers

["howitzerMagazineHE", "RHS_mag_m1_he_12"] call _fnc_saveToTemplate;                // explosive ammo for Howitzer


// Anti-aircraft systems
["vehicleRadar", "O_Radar_System_02_F"] call _fnc_saveToTemplate;           // radar system, found at big bases

["vehicleSam", "O_SAM_System_04_F"] call _fnc_saveToTemplate;              // missle system, found at big bases


//vehicle skins
["variants", [
    ["UK3CB_ION_I_Desert_M113_M2",      ["ADA", 1]],
    ["UK3CB_KRG_I_FV4201",              ["DES", 1]],
    ["rhs_t90sm_tv",                    ["rhs_Sand", 1]],
    ["rhs_t72be_tv",                    ["rhs_Sand", 1]],
    ["UK3CB_ARD_O_Mi8AMTSh",            ["KHK", 1]],
    ["UK3CB_ARD_O_Mi8",                 ["KHK", 1]],
    ["B_Heli_Transport_03_unarmed_F",   ["Green", 1]],
    ["UK3CB_AAF_I_Bell412_Armed",       ["Des", 1]],
    ["UK3CB_MEE_O_BTR60",               ["MEE_2", 1]]

]] call _fnc_saveToTemplate;



//Minefield definition
//CFGVehicles variant of Mines are needed "ATMine", "APERSTripMine", "APERSMine"
["minefieldAT", ["ATMine"]] call _fnc_saveToTemplate;                               // anti-tank mines
["minefieldAPERS", ["APERSTripMine", "APERSMine"]] call _fnc_saveToTemplate;        // anti-personnel mines
    



/////////////////////
///  Identities   ///
/////////////////////

// Faces given to AI Faction.
["faces", [         "GreekHead_A3_01", 
                    "GreekHead_A3_02",
                    "GreekHead_A3_03",
                    "GreekHead_A3_09",
                    "GreekHead_A3_11",
                    "GreekHead_A3_12",
                    "GreekHead_A3_13",
                    "GreekHead_A3_14",
                    "PersianHead_A3_01",
                    "PersianHead_A3_02",
                    "PersianHead_A3_03"
                    ]] call _fnc_saveToTemplate;


// Voices given to AI Faction.
["voices", [        "Male01PER", 
                    "Male02PER",  
                    "Male03PER"
                    ]] call _fnc_saveToTemplate;


// Insignia for soldiers and the police.
["insignia", []] call _fnc_saveToTemplate;
["polInsignia", []] call _fnc_saveToTemplate;

"TakistaniMen" call _fnc_saveNames;




//////////////////////////
//       Loadouts       //
//////////////////////////

private _loadoutData = call _fnc_createLoadoutData;
_loadoutData set ["SLrifles", []];
_loadoutData set ["rifles", []];
_loadoutData set ["carbines", []];
_loadoutData set ["grenadeLaunchers", []];
_loadoutData set ["designatedGrenadeLaunchers", []];
_loadoutData set ["SMGs", []];
_loadoutData set ["machineGuns", []];
_loadoutData set ["marksmanRifles", []];
_loadoutData set ["sniperRifles", []];

_loadoutData set ["lightATLaunchers", []];
_loadoutData set ["lightHELaunchers", []];
_loadoutData set ["ATLaunchers", []];
_loadoutData set ["missileATLaunchers", []];
_loadoutData set ["AALaunchers", []];
_loadoutData set ["sidearms", []];

_loadoutData set ["ATMines", ["rhs_mine_tm62m_mag"]];
_loadoutData set ["APMines", ["rhs_mine_ozm72_a_mag", "rhs_mine_ozm72_b_mag", "rhs_mine_ozm72_c_mag", "rhs_mag_mine_pfm1", "rhs_mine_pmn2_mag"]];
_loadoutData set ["lightExplosives", ["rhssaf_tm200_mag"]];
_loadoutData set ["heavyExplosives", ["rhssaf_tm500_mag"]];

_loadoutData set ["antiInfantryGrenades", ["rhssaf_mag_br_m84", "rhssaf_mag_br_m75"]];                // Faction's anti-infantry grenades.
_loadoutData set ["smokeGrenades", ["rhssaf_mag_brd_m83_white"]];                                                             // Faction's smoke grenade.
_loadoutData set ["signalsmokeGrenades", [ "rhssaf_mag_brd_m83_green", "rhssaf_mag_brd_m83_red"]];                                      // Faction's signal smoke grenades.



// Basic equipment. Shouldn't need touching most of the time.
// Mods might override this, or certain mods might want items removed (No GPSs in WW2, for example)
// Or if want modded basic equipment from RHS for example, put them here.

_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];
_loadoutData set ["radios", ["ItemRadio"]];
_loadoutData set ["gpses", ["ItemGPS"]];
_loadoutData set ["NVGs", ["ACE_NVG_Gen4_Black"]];
_loadoutData set ["binoculars", ["rhssaf_zrak_rd7j"]];
_loadoutData set ["rangefinders", ["Laserdesignator_02"]];

// Clothes and vest for "kill the traitor" mission
_loadoutData set ["traitorUniforms", ["UK3CB_LSM_B_U_Crew_CombatSmock_09"]];
_loadoutData set ["traitorVests", ["UK3CB_LDF_B_V_RIF_Vest_KKZ10_OLI"]];
_loadoutData set ["traitorHats", ["UK3CB_H_Beanie_02_GRY"]];

// Clothes and vest for enemy officers. This will be used at military administations and officer assassination missions.
_loadoutData set ["officerUniforms", ["UK3CB_TKA_I_U_Officer_OLI"]];
_loadoutData set ["officerVests", ["mbavr_l"]];
_loadoutData set ["officerHats", ["UK3CB_TKA_I_H_Patrolcap_OFF_OLI"]];

_loadoutData set ["uniforms", []];
_loadoutData set ["vests", []];
_loadoutData set ["backpacks", []];
_loadoutData set ["longRangeRadios", []];           //long range radios used by radiomen
_loadoutData set ["helmets", []];
_loadoutData set ["SNIHats", ["UK3CB_LSM_B_H_BoonieHat_KHK"]];       // Sniper hats.
//_loadoutData set ["SLhat", ["UK3CB_CSAT_IRAN_H_Beret"]];                                                         // Squad leader hats.
                                                                  

// Randomized facewear for the faction.
_loadoutData set ["facewear", [
                    "None",
                    "UK3CB_G_Bandanna_aviator_brown_check", 
                    "UK3CB_G_Bandanna_aviator_red_check", 
                    "UK3CB_G_Bandanna_shades_green_check", 
                    "UK3CB_G_Neck_Shemag", 
                    "G_Balaclava_blk",
                    "rhsusf_shemagh_white",
                    "rhsusf_shemagh2_white"
                    ]];

_loadoutData set ["PoliceFacewear", [
                    "UK3CB_G_Balaclava2_MEE", 
                    "UK3CB_G_Balaclava2_BLK", 
                    "UK3CB_G_Balaclava_Neck_Shemag_MEE", 
                    "UK3CB_G_Balaclava_Neck_Shemag", 
                    "G_Balaclava_blk"
                    ]];



_loadoutData set ["glasses", [
                    "None", 
                    "G_Aviator", 
                    "UK3CB_G_Ballistic_Black",
                    "UK3CB_G_Tactical_Black",
                    "UK3CB_G_Tactical_Clear",
                    "G_Shades_Black", 
                    "G_Shades_Blue", 
                    "G_Shades_Green", 
                    "G_Shades_Red", 
                    "G_Sport_Greenblack", 
                    "G_Sport_Blackred"
                    ]];

_loadoutData set ["goggles", [
                   "None", 
                   "rhsusf_oakley_goggles_clr",
                   "rhsusf_oakley_goggles_ylw",
                   "G_Lowprofile"
                    ]];


// Item *set* definitions. These are added in their entirety to unit loadouts. No randomisation is applied.
_loadoutData set ["items_medical_basic", ["BASIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_standard", ["STANDARD"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_medic", ["MEDIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_miscEssentials", [] call A3A_fnc_itemset_miscEssentials];


// Unit type specific item sets. Add or remove these, depending on the unit types in use.
private _slItems = ["Laserbatteries", "Laserbatteries", "Laserbatteries"];
private _eeItems = ["ToolKit", "MineDetector"];
private _mmItems = [];

if (A3A_hasACE) then {
    _slItems append ["ACE_microDAGR", "ACE_DAGR"];
    _eeItems append ["ACE_Clacker", "ACE_DefusalKit"];
    _mmItems append ["ACE_RangeCard", "ACE_ATragMX", "ACE_Kestrel4500"];
};


//Unit type specific item sets. Add or remove these, depending on the unit types in use.
_loadoutData set ["items_squadLeader_extras", _slItems];
_loadoutData set ["items_rifleman_extras", []];
_loadoutData set ["items_medic_extras", []];
_loadoutData set ["items_grenadier_extras", []];
_loadoutData set ["items_explosivesExpert_extras", _eeItems];
_loadoutData set ["items_engineer_extras", _eeItems];
_loadoutData set ["items_lat_extras", []];
_loadoutData set ["items_at_extras", []];
_loadoutData set ["items_aa_extras", []];
_loadoutData set ["items_machineGunner_extras", []];
_loadoutData set ["items_marksman_extras", _mmItems];
_loadoutData set ["items_sniper_extras", _mmItems];
_loadoutData set ["items_police_extras", []];
_loadoutData set ["items_crew_extras", []];
_loadoutData set ["items_unarmed_extras", []];



//TODO - ACE overrides for misc essentials, medical and engineer gear



///////////////////////////////////////
//    Special Forces Loadout Data    //
///////////////////////////////////////


// These troops are rare and have the best equipment.

// Basic equipment used by special forces.
private _sfLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_sfLoadoutData set ["uniforms", ["CryGen3_rus_mc", "rhs_uniform_g3_tan", "rhs_uniform_g3_rgr"]];

_sfLoadoutData set ["vests", ["mbavr_r"]];

_sfLoadoutData set ["backpacks", ["B_Kitbag_cbr", "B_Kitbag_rgr", "B_Kitbag_tan"]];

_sfloadoutData set ["SLhat", ["UK3CB_CSAT_A_O_H_Cap_Radio"]];

_sfLoadoutData set ["helmets", [    "opscorem", 
                                    "opscorems", 
                                    "opscoremcs", 
                                    "opscoretc", 
                                    "rhsusf_opscore_fg_pelt",
                                    "rhsusf_opscore_mc_pelt_nsw"
                                    ]];

_sfLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j", "Laserdesignator"]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_sfLoadoutData set ["ATbackpacks", ["UK3CB_CSAT_B_O_B_ENG_BRN", "UK3CB_CSAT_M_O_B_ENG_KHK"]];
_sfLoadoutData set ["MEDbackpacks", ["B_Kitbag_cbr", "B_Kitbag_rgr", "B_Kitbag_tan"]];
_sfLoadoutData set ["MEDvests", ["mbavr_m"]];
_sfLoadoutData set ["GLvests", ["mbavr_gl"]];
_sfLoadoutData set ["MGvests", ["mbavr_mg"]];


//_sfLoadoutData set ["uniforms", [""]];
//_sfLoadoutData set ["vests", [""]];
//_sfLoadoutData set ["MGvests", [""]];
//_sfLoadoutData set ["EEvests", [""]];
//_sfLoadoutData set ["MEDvests", [""]];
//_sfLoadoutData set ["SLvests", [""]];
//_sfLoadoutData set ["SNIvests", [""]];
//_sfLoadoutData set ["GLvests", [""]];
//_sfLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []

_sfLoadoutData set ["lightATLaunchers", [
    ["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_PG7V_mag"], [], ""]
]];

_sfLoadoutData set ["lightHELaunchers", [
    ["launch_RPG32_green_F", "", "", "", ["RPG32_HE_F"], [], ""]
]];

_sfLoadoutData set ["ATLaunchers", [
    ["launch_RPG32_green_F", "", "", "", ["RPG32_F"], [], ""]
]];

_sfLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_sfLoadoutData set ["missileATLaunchers", [
    ["launch_O_Vorona_brown_F", "", "", "", ["Vorona_HEAT"], [], ""]
]];

_sfLoadoutData set ["rifles", [
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"]
]];

_sfLoadoutData set ["carbines", [
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"]
]];

_sfLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_m4a1_m203", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], ["rhs_mag_M441_HE"], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4a1_m203", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], ["rhs_mag_M441_HE"], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4a1_m203", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], ["rhs_mag_M441_HE"], "rhs_acc_m4_nsr13_d_bcm"]
]];

_sfLoadoutData set ["SMGs", [
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_d_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "optic_dms", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_T1_high", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"],
    ["rhs_weap_m4_nsr", "rhsusf_acc_nt4_tan", "rhs_acc_perst3", "rhsusf_acc_EOTECH", ["rhs_mag_30Rnd_556x45_M855_Stanag_Pull", "rhs_mag_30Rnd_556x45_M855_Stanag_Pull_Tracer_Red"], [], "rhs_acc_m4_nsr13_bcm"]
]];

_sfLoadoutData set ["machineGuns", [
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""]
]];

_sfLoadoutData set ["marksmanRifles", [
    ["rhs_weap_svdp_npz", "rhs_acc_tgpv2", "", "rhs_acc_dh520x56", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_sfLoadoutData set ["sniperRifles", [
    ["rhs_weap_t5000", "", "", "rhs_acc_dh520x56", ["rhs_5Rnd_338lapua_t5000"], [], "rhs_acc_harris_swivel"]
]];

_sfLoadoutData set ["sidearms", [
    ["rhsusf_weap_glock17g4", "", "", "", ["rhsusf_mag_17Rnd_9x19_FMJ"], [], ""]
]];





///////////////////////////////
//    Elite Loadout Data     //
///////////////////////////////


// These troops spawn after war level rises. They have better gear than regular soldiers.
// Pro tip: you can set the war level for elite spawning in the addon settings for antistasi ultimate!

// Basic equipment used by elite troops.
private _eliteLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_eliteLoadoutData set ["uniforms", [    "UK3CB_CSAT_F_O_U_SF_CombatUniform_02", "UK3CB_CSAT_F_O_U_SF_CombatUniform_Shortsleeve_02"]];

_eliteLoadoutData set ["vests", [       "mbavr_r"]];

_eliteLoadoutData set ["backpacks", [   "UK3CB_CSAT_F_O_B_RIF_UCP"]];

_eliteloadoutData set ["SLhat", ["UK3CB_ANA_B_H_OFF_Beret_GRN"]];

_eliteLoadoutData set ["helmets", [     "rhsusf_ach_helmet_ucp",
                                        "rhsusf_ach_helmet_ESS_ucp",
                                        "rhsusf_ach_helmet_headset_ucp",
                                        "rhsusf_ach_helmet_headset_ess_ucp"
                                        ]];

_eliteLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j", "Laserdesignator_02"]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_eliteLoadoutData set ["MGvests", ["mbavr_mg"]];
_eliteLoadoutData set ["MEDvests", ["mbavr_m"]];
_eliteLoadoutData set ["SNIvests", ["mbavr_l"]];
_eliteLoadoutData set ["GLvests", ["mbavr_gl"]];
_eliteLoadoutData set ["atbackpack", ["UK3CB_CSAT_F_O_B_ENG_UCP"]];
_eliteLoadoutData set ["MEDbackpacks", ["UK3CB_CSAT_F_O_B_RIF_UCP"]];


//_eliteLoadoutData set ["uniforms", [""]];
//_eliteLoadoutData set ["vests", [""]];
//_eliteLoadoutData set ["MGvests", [""]];
//_eliteLoadoutData set ["EEvests", [""]];
//_eliteLoadoutData set ["MEDvests", [""]];
//_eliteLoadoutData set ["SLvests", [""]];
//_eliteLoadoutData set ["SNIvests", [""]];
//_eliteLoadoutData set ["GLvests", [""]];
//_eliteLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_eliteLoadoutData set ["lightATLaunchers", [
    ["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_PG7V_mag"], [], ""]
]];

_eliteLoadoutData set ["lightHELaunchers", [
    ["launch_RPG32_green_F", "", "", "", ["RPG32_HE_F"], [], ""]
]];

_eliteLoadoutData set ["ATLaunchers", [
    ["launch_RPG32_green_F", "", "", "", ["RPG32_F"], [], ""]
]];

_eliteLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_eliteLoadoutData set ["missileATLaunchers", [
    ["uk3cb_saeghe2", "", "", "", ["UK3CB_Saeghe2_Missile"], [], ""]
]];

_eliteLoadoutData set ["rifles", [
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_high", ["UK3CB_G3_20rnd_762x51_R"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R"], [], ""]

]];

_eliteLoadoutData set ["carbines", [
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_high", ["UK3CB_G3_20rnd_762x51_R"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R"], [], ""]
]];

_eliteLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_ak103_gp25_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm_polymer"], ["rhs_VOG25", "rhs_VOG25P"], ""],
    ["rhs_weap_ak103_gp25_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm_polymer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_eliteLoadoutData set ["designatedGrenadeLaunchers", [
    ["rhs_weap_ak103_gp25_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm_polymer"], ["rhs_VOG25", "rhs_VOG25P"], ""],
    ["rhs_weap_ak103_gp25_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm_polymer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_eliteLoadoutData set ["SMGs", [
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm_polymer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_high", ["UK3CB_G3_20rnd_762x51_R"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R"], [], ""]
]];

_eliteLoadoutData set ["machineGuns", [
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""],
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""],
    ["rhs_weap_pkm", "", "", "", ["rhs_100Rnd_762x54mmR_7N26", "rhs_100Rnd_762x54mmR_green"], [], ""]
]];

_eliteLoadoutData set ["marksmanRifles", [
    ["rhs_weap_svdp_npz", "", "", "rhs_acc_dh520x56", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_eliteLoadoutData set ["sniperRifles", [
    ["uk3cb_HS50", "", "", "rhs_acc_dh520x56", ["uk3cb_hs50_50bmg_M33_5Rnd_magazine"], [], ""]
]];

_eliteLoadoutData set ["sidearms", [
    ["UK3CB_PC9_ZOAF", "", "", "", ["UK3CB_PC9_ZOAF_9_12Rnd"], [], ""]
]];





/////////////////////////////////
//    Military Loadout Data    //
/////////////////////////////////


// These are the regular soldiers.

// Basic equipment used by regular soldiers.
private _militaryLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_militaryLoadoutData set ["uniforms", [ "m93_ird"]];

_militaryLoadoutData set ["vests", [    "UK3CB_MD12_VEST_KHK", 
                                        "UK3CB_MD12_VEST_Rifleman_KHK"
                                        ]];

_militaryLoadoutData set ["backpacks", ["B_Kitbag_tan",
                                        "B_Kitbag_rgr"
                                        ]];
                                        
_militaryloadoutData set ["SLhat", ["H_Beret_blk"]];

_militaryLoadoutData set ["helmets", [  "UK3CB_ABP_B_H_6b27m_DES",
                                        "UK3CB_ABP_B_H_6b27m_ess_DES",
                                        "pasgt_ird"
                                        ]];

_militaryLoadoutData set ["binoculars", ["rhssaf_zrak_rd7j"]];





// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_militaryLoadoutData set ["ATbackpacks", ["UK3CB_GAF_B_B_ENG_TAN", "UK3CB_GAF_B_B_ENG_OLI"]];
_militaryLoadoutData set ["MEDbackpacks", ["UK3CB_KRG_B_B_FieldPack_MED", "UK3CB_B_Alice_Medic_Bedroll_K", "UK3CB_B_Alice_Medic_Bedroll_2_K"]];
_militaryLoadoutData set ["SLvests", ["UK3CB_MD12_VEST_KHK"]];
_militaryLoadoutData set ["GLvests", ["UK3CB_MD12_VEST_KHK", "UK3CB_MD12_VEST_Rifleman_KHK"]];
_militaryLoadoutData set ["MGvests", ["UK3CB_MD12_VEST_KHK"]];

//_militaryLoadoutData set ["uniforms", [""]];
//_militaryLoadoutData set ["vests", [""]];
//_militaryLoadoutData set ["MGvests", [""]];
//_militaryLoadoutData set ["EEvests", [""]];
//_militaryLoadoutData set ["MEDvests", [""]];
//_militaryLoadoutData set ["SLvests", [""]];
//_militaryLoadoutData set ["SNIvests", [""]];
//_militaryLoadoutData set ["GLvests", [""]];
//_militaryLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines such as 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_militaryLoadoutData set ["lightATLaunchers", [
    ["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_PG7V_mag"], [], ""]
]];

_militaryLoadoutData set ["lightHELaunchers", [
    ["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_OG7V_mag"], [], ""]
]];

_militaryLoadoutData set ["ATLaunchers", [
    ["launch_RPG32_F", "", "", "", ["RPG32_F"], [], ""]
]];

_militaryLoadoutData set ["missileATLaunchers", [
    ["uk3cb_saeghe2", "", "", "", ["UK3CB_Saeghe2_Missile"], [], ""]
]];

_militaryLoadoutData set ["AALaunchers", [
    ["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_militaryLoadoutData set ["SLrifles", [
    ["rhs_weap_akmn_npz", "rhs_acc_dtkakm", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_low", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""]
]];

_militaryLoadoutData set ["rifles", [
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_low", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["UK3CB_G3A3", "", "", "", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["UK3CB_G3A3", "", "", "", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""]
]];

_militaryLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militaryLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_akm_gp25", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_militaryLoadoutData set ["SMGs", [
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militaryLoadoutData set ["machineGuns", [
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""],
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""],
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""],
    ["rhs_weap_pkm", "", "", "", ["rhs_100Rnd_762x54mmR_7N26", "rhs_100Rnd_762x54mmR_green"], [], ""]
]];

_militaryLoadoutData set ["marksmanRifles", [
    ["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["rhs_10Rnd_762x54mmR_7N1"], [], ""]
]];

_militaryLoadoutData set ["sniperRifles", [
    ["uk3cb_HS50", "", "", "rhs_acc_dh520x56", ["uk3cb_hs50_50bmg_M33_5Rnd_magazine"], [], ""]
]];

_militaryLoadoutData set ["sidearms", [
    ["UK3CB_PC9_ZOAF", "", "", "", ["UK3CB_PC9_ZOAF_9_12Rnd"], [], ""]
]];





////////////////////////////////
//    Militia Loadout Data    //
////////////////////////////////


// These are the lesser equipped troops found during  early game and who are used to occupy areas.
// Pro tip: You can set when they stop spawning in the addon settings for antistasi ultimate!

// Basic equipment used by milia troops.
private _militiaLoadoutData = _loadoutData call _fnc_copyLoadoutData;

// Uniforms.
_militiaLoadoutData set ["uniforms", [  "m93_irn"]];

// Vests.
_militiaLoadoutData set ["vests", [     "UK3CB_MD12_VEST_Rifleman_KHK", 
                                        "UK3CB_MD12_VEST_OLI", 
                                        "UK3CB_TKA_I_V_6Sh92_Khk",
                                        "UK3CB_TKA_I_V_6Sh92_Radio_Khk",
                                        "UK3CB_TKA_I_V_6Sh92_Oli"
                                        ]];

// Backpacks.
_militiaLoadoutData set ["backpacks", [ "UK3CB_B_Alice_pack_01", 
                                        "UK3CB_B_Alice_pack_02", 
                                        "UK3CB_B_Alice_pack_03", 
                                        "UK3CB_B_Alice_pack_04" 
                                        ]];

_militialoadoutData set ["SLhat", ["UK3CB_MDF_B_H_Beret"]];

// Helmets.
_militiaLoadoutData set ["helmets", [   "UK3CB_H_M1_Helmet_Net_TAN", 
                                        "UK3CB_H_M1_Helmet_Covered", 
                                        "UK3CB_H_M1_Helmet_Tan"
                                        ]];

// Basic equipment used by specialist troops. Medic bags and grenade launcher vests etc.
_militiaLoadoutData set ["MGvests", ["UK3CB_MD12_VEST_KHK", "UK3CB_TKA_I_V_6Sh92_Khk", "UK3CB_TKA_I_V_6Sh92_Radio_Khk"]];
_militiaLoadoutData set ["GLvests", ["UK3CB_MD12_VEST_Rifleman_KHK", "UK3CB_TKA_I_V_6Sh92_vog_Khk"]];
_militiaLoadoutData set ["MEDbackpacks", ["UK3CB_B_Alice_Med_K", "UK3CB_B_Largepack_Med_Des", "UK3CB_KRG_B_B_FieldPack_MED"]];


//_militiaLoadoutData set ["uniforms", [""]];
//_militiaLoadoutData set ["vests", [""]];
//_militiaLoadoutData set ["MGvests", [""]];
//_militiaLoadoutData set ["EEvests", [""]];
//_militiaLoadoutData set ["MEDvests", [""]];
//_militiaLoadoutData set ["SLvests", [""]];
//_militiaLoadoutData set ["SNIvests", [""]];
//_militiaLoadoutData set ["GLvests", [""]];
//_militiaLoadoutData set ["ATbackpacks", [""]];


// ["Weapon", "Muzzle", "Rail", "Sight", ["Primary ammo], ["Secondary ammo"], "Bipod"];
// This is the format for setting up the weapons ^^
// Note: Primary ammo are magazines like 5.56x45mm and secondary ammo are things like 40mm grenades for under-barrel launchers.
// If there is no need for secondary ammo just leave it completely empty like this []


_militiaLoadoutData set ["ATLaunchers", [
    ["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_PG7V_mag"], [], ""]
]];

_militiaLoadoutData set ["SLrifles", [
    ["rhs_weap_akmn_npz", "rhs_acc_dtkakm", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_low", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""]
]];

_militiaLoadoutData set ["rifles", [
    ["rhs_weap_akm", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["UK3CB_G3A3", "", "", "", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["rhs_weap_rpk_wood", "", "rhs_acc_rpk", "", ["rhs_75Rnd_762x39mm", "rhs_75Rnd_762x39mm_tracer"], [], ""]
]];

_militiaLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militiaLoadoutData set ["grenadeLaunchers", [
    ["rhs_weap_akm_gp25", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], ["rhs_VOG25", "rhs_VOG25P"], ""]
]];

_militiaLoadoutData set ["SMGs", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""]
]];

_militiaLoadoutData set ["machineGuns", [
    ["UK3CB_MG3", "", "", "", ["UK3CB_MG3_100rnd_762x51_RM", "UK3CB_MG3_100rnd_762x51_RT"], [], ""]
]];

_militiaLoadoutData set ["marksmanRifles", [
    ["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["UK3CB_SVD_10rnd_762x54"], [], ""]
]];

_militiaLoadoutData set ["sidearms", [
    ["rhsusf_weap_m1911a1", "", "", "", ["rhsusf_mag_7x45acp_MHP"], [], ""]
]];





///////////////////////////////
//    Police Loadout Data    //
///////////////////////////////


// These are the police units.

// Basic equipment used by police units.
private _policeLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_policeLoadoutData set ["uniforms", ["UK3CB_MEE_O_U_07", "UK3CB_MEE_O_U_07_B"]];
_policeLoadoutData set ["vests",    ["UK3CB_ADA_B_V_TacVest_BLK"]];
_policeloadoutData set ["SLhat",    ["rhssaf_helmet_m97_black_nocamo", "rhssaf_helmet_m97_black_nocamo_black_ess", "rhssaf_helmet_m97_black_nocamo_black_ess_bare"]];
_policeLoadoutData set ["helmets",  ["rhssaf_helmet_m97_black_nocamo", "rhssaf_helmet_m97_black_nocamo_black_ess", "rhssaf_helmet_m97_black_nocamo_black_ess_bare"]];

_policeLoadoutData set ["SMGs", [
    ["UK3CB_MP5A3", "", "", "", ["UK3CB_MP5_30Rnd_9x19_Magazine_R"], [], ""]
]];

_policeLoadoutData set ["rifles", [
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm"], [], ""],
    ["UK3CB_M16_Carbine", "", "", "", ["rhs_mag_30Rnd_556x45_M855_Stanag"], [], ""]
]];

_policeLoadoutData set ["carbines", [
    ["UK3CB_M16_Carbine", "", "", "", ["rhs_mag_30Rnd_556x45_M855_Stanag"], [], ""],
    ["rhs_weap_ak103", "rhs_acc_dtk", "", "", ["rhs_30Rnd_762x39mm"], [], ""]
]];

_policeLoadoutData set ["sidearms", [
    ["rhsusf_weap_glock17g4", "", "", "", ["rhsusf_mag_17Rnd_9x19_FMJ"], [], ""]
]];


//////////////////////////
//    Misc Loadouts     //
//////////////////////////


// Patrol sniper equipment
// Patrol sniper team hats are the SNIhats
_loadoutData set ["cloakUniforms", ["UK3CB_TKA_O_U_CombatUniform_Ghillie_ADPM"]];
_loadoutData set ["cloakVests", ["UK3CB_MD12_VEST_KHK"]];

_loadoutData set ["cloakCarbines", [
    ["rhs_weap_ak103_npz", "rhs_acc_pbs1", "rhs_acc_perst1ik", "optic_MRCO", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["rhs_weap_ak103_npz", "rhs_acc_pbs1", "rhs_acc_perst1ik", "rhsusf_acc_T1_low", ["rhs_30Rnd_762x39mm", "rhs_30Rnd_762x39mm_tracer"], [], ""],
    ["UK3CB_G3A3_RIS", "uk3cb_muzzle_snds_g3", "", "optic_MRCO", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""],
    ["UK3CB_G3A3_RIS", "uk3cb_muzzle_snds_g3", "", "rhsusf_acc_T1_high", ["UK3CB_G3_20rnd_762x51_R", "UK3CB_G3_20rnd_762x51_RT"], [], ""]
]];

_loadoutData set ["cloakRifles", [
    ["rhs_weap_t5000", "", "", "rhs_acc_dh520x56", ["rhs_5Rnd_338lapua_t5000"], [], "rhs_acc_harris_swivel"],
    ["uk3cb_HS50", "", "", "rhs_acc_dh520x56", ["uk3cb_hs50_50bmg_M33_5Rnd_magazine"], [], ""],
    ["uk3cb_HS50", "", "", "rhs_acc_dh520x56", ["uk3cb_hs50_50bmg_M33_5Rnd_magazine"], [], ""]
]];

_loadoutData set ["cloakSidearms", [
    ["UK3CB_PC9_ZOAF", "muzzle_snds_L", "", "", ["UK3CB_PC9_ZOAF_9_12Rnd"], [], ""]
]];


// Basic equipment used by tank crews.
private _crewLoadoutData = _militaryLoadoutData call _fnc_copyLoadoutData;
_crewLoadoutData set ["uniforms", ["m93_cmd"]];
_crewLoadoutData set ["vests", ["UK3CB_TKA_I_V_6Sh92_Khk"]];
_crewLoadoutData set ["helmets", ["H_Tank_black_F"]];

_crewLoadoutData set ["carbines", [
    ["rhs_weap_akms", "rhs_acc_dtkakm", "", "", ["rhs_30Rnd_762x39mm"], [], ""]
]];

_crewLoadoutData set ["sidearms", [
    ["UK3CB_BHP", "", "", "", ["UK3CB_BHP_9_13Rnd"], [], ""]
]];


// Basic equipment used by pilots.
private _pilotLoadoutData = _militaryLoadoutData call _fnc_copyLoadoutData;
_pilotLoadoutData set ["uniforms", ["UK3CB_CSAT_M_O_U_H_Pilot"]];
_pilotLoadoutData set ["vests", ["rhs_6b45_desert"]];
_pilotLoadoutData set ["helmets", ["H_PilotHelmetHeli_O"]];

_pilotLoadoutData set ["SMGs", [
    ["UK3CB_Uzi_Stock", "", "", "", ["UK3CB_Uzi_32Rnd_Magazine_R"], [], ""]
]];

_pilotLoadoutData set ["sidearms", [
    ["UK3CB_PC9_ZOAF", "", "", "", ["UK3CB_PC9_ZOAF_9_12Rnd"], [], ""]
]];


/////////////////////////////////
//    Unit Type Definitions    //
/////////////////////////////////
//These define the loadouts for different unit types.
//For example, rifleman, grenadier, squad leader, etc.
//In 95% of situations, you *should not need to edit these*.
//Almost all factions can be set up just by modifying the loadout data above.
//However, these exist in case you really do want to do a lot of custom alterations.

private _squadLeaderTemplate = {
    [selectRandomWeighted ["helmets", 2, "SLhat", 1]] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["SLvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    [["SLuniforms", "uniforms"] call _fnc_fallback] call _fnc_setUniform;
    [["SLrifles", "rifles"] call _fnc_fallback] call _fnc_setPrimary;
    ["backpacks"] call _fnc_setBackpack;
    ["primary", 6] call _fnc_addMagazines;
    ["primary", 4] call _fnc_addAdditionalMuzzleMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_squadLeader_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["signalsmokeGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["gpses"] call _fnc_addGPS;
    ["binoculars"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _riflemanTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_rifleman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _radiomanTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["longRangeRadios"] call _fnc_setBackpack;


    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_rifleman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 2] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _medicTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["MEDvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    [["MEDbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["rifles", "carbines", "SMGs"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_medic"] call _fnc_addItemSet;
    ["items_medic_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _grenadierTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1.25]] call _fnc_setFacewear;
    [["GLvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    if (random 1 < 0.3) then {
        [["designatedGrenadeLaunchers", "grenadeLaunchers"] call _fnc_fallback] call _fnc_setPrimary;
    } else {
        ["grenadeLaunchers"] call _fnc_setPrimary;
    };
    
    ["primary", 6] call _fnc_addMagazines;
    ["primary", 10] call _fnc_addAdditionalMuzzleMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_grenadier_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 4] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _explosivesExpertTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["EEvests", "vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;


    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_explosivesExpert_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["lightExplosives", 2] call _fnc_addItem;
    if (random 1 > 0.5) then {["heavyExplosives", 1] call _fnc_addItem;};
    if (random 1 > 0.5) then {["atMines", 1] call _fnc_addItem;};
    if (random 1 > 0.5) then {["apMines", 1] call _fnc_addItem;};

    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _engineerTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    [selectRandom ["carbines", "SMGs"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_engineer_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    if (random 1 > 0.5) then {["lightExplosives", 1] call _fnc_addItem;};

    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _latTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    [["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;       // Backpack is disabled for light AT because in this template they use a disposable launcher, meaning there is no need for ammo storage. 
                                                                                     // If you want light AT people to use things such as the rpg 7, remove the // and they will have the AT backpack. 

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    [["lightATLaunchers", "ATLaunchers"] call _fnc_fallback] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_lat_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _atTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 1]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    [["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    [selectRandom ["ATLaunchers", "missileATLaunchers"]] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_at_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _aaTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    [["ATbackpacks", "backpacks"] call _fnc_fallback] call _fnc_setBackpack;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["AALaunchers"] call _fnc_setLauncher;
    //TODO - Add a check if it's disposable.
    ["launcher", 3] call _fnc_addMagazines;

    //["sidearms"] call _fnc_setHandgun;
    //["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_aa_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _machineGunnerTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["MGvests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["backpacks"] call _fnc_setBackpack;

    ["machineGuns"] call _fnc_setPrimary;
    ["primary", 4] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_machineGunner_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _marksmanTemplate = {
    [selectRandomWeighted ["helmets", 2, "SNIHats", 1]] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, 0.75, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    ["marksmanRifles"] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_marksman_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["rangefinders"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _sniperTemplate = {
    ["SNIHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["SNIVests","vests"] call _fnc_fallback] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [["sniperRifles", "marksmanRifles"] call _fnc_fallback] call _fnc_setPrimary;
    ["primary", 7] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_sniper_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["rangefinders"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};

private _policeTemplate = {
    ["helmets"] call _fnc_setHelmet;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;
    ["PoliceFacewear"] call _fnc_setFacewear;

    [selectRandom ["SMGs", "rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 4] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_police_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["smokeGrenades", 1] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _crewTemplate = {
    ["helmets"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.5, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    [selectRandom ["carbines"]] call _fnc_setPrimary;
    ["primary", 3] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_crew_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["gpses"] call _fnc_addGPS;
    ["NVGs"] call _fnc_addNVGs;
};

private _unarmedTemplate = {
    ["vests"] call _fnc_setVest;
    ["uniforms"] call _fnc_setUniform;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _traitorTemplate = {
    ["traitorHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.25, "glasses", 0.75]] call _fnc_setFacewear;
    ["traitorVests"] call _fnc_setVest;
    ["traitorUniforms"] call _fnc_setUniform;

    [selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _officerTemplate = {
    ["officerHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 1.25, "glasses", 0.75]] call _fnc_setFacewear;
    ["officerVests"] call _fnc_setVest;
    ["officerUniforms"] call _fnc_setUniform;

    [["SMGs", "carbines"] call _fnc_fallback] call _fnc_setPrimary;
    ["primary", 3] call _fnc_addMagazines;
    
    ["sidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_basic"] call _fnc_addItemSet;
    ["items_unarmed_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
};

private _patrolSniperTemplate = {
    ["sniHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 2, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["cloakVests","vests"] call _fnc_fallback] call _fnc_setVest;
    [["cloakUniforms","uniforms"] call _fnc_fallback] call _fnc_setUniform;

    ["cloakRifles"] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["cloakSidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_sniper_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["NVGs"] call _fnc_addNVGs;
};

private _patrolSpotterTemplate = {
    ["sniHats"] call _fnc_setHelmet;
    [selectRandomWeighted [[], 2, "glasses", 0.75, "goggles", 0.5]] call _fnc_setFacewear;
    [["cloakVests","vests"] call _fnc_fallback] call _fnc_setVest;
    [["cloakUniforms","uniforms"] call _fnc_fallback] call _fnc_setUniform;

    ["cloakCarbines"] call _fnc_setPrimary;
    ["primary", 6] call _fnc_addMagazines;

    ["cloakSidearms"] call _fnc_setHandgun;
    ["handgun", 2] call _fnc_addMagazines;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_sniper_extras"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;
    ["antiInfantryGrenades", 1] call _fnc_addItem;
    ["smokeGrenades", 2] call _fnc_addItem;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["radios"] call _fnc_addRadio;
    ["rangefinders"] call _fnc_addBinoculars;
    ["NVGs"] call _fnc_addNVGs;
};


////////////////////////////////////////////////////////////////////////////////////////
//  You shouldn't touch below this line unless you really really know what you're doing.
//  Things below here can and will break the gamemode if improperly changed.
////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////
//  Special Forces Units   //
/////////////////////////////
private _prefix = "SF";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]]
];


[_prefix, _unitTypes, _sfLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

/*{
    params ["_name", "_loadoutTemplate"];
    private _loadouts = [_sfLoadoutData, _loadoutTemplate] call _fnc_buildLoadouts;
    private _finalName = _prefix + _name;
    [_finalName, _loadouts] call _fnc_saveToTemplate;
} forEach _unitTypes;
*/

///////////////////////
//  Military Units   //
///////////////////////
private _prefix = "military";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]],
    ["PatrolSniper", _patrolSniperTemplate, [], [_prefix]],
    ["PatrolSpotter", _patrolSpotterTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

////////////////////////
//    Police Units    //
////////////////////////
private _prefix = "police";
private _unitTypes = [
	["SquadLeader", _policeTemplate, [], [_prefix]],
	["Standard", _policeTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _policeLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

////////////////////////
//    Militia Units    //
////////////////////////
private _prefix = "militia";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]],
    ["PatrolSniper", _patrolSniperTemplate, [], [_prefix]],
    ["PatrolSpotter", _patrolSpotterTemplate, [], [_prefix]]
];

[_prefix, _unitTypes, _militiaLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

///////////////////////
//  Elite Units   //
///////////////////////
private _prefix = "elite";
private _unitTypes = [
	["SquadLeader", _squadLeaderTemplate, [], [_prefix]],
	["Rifleman", _riflemanTemplate, [], [_prefix]],
	["Radioman", _radiomanTemplate, [], [_prefix]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix]],
	["Engineer", _engineerTemplate, [["engineer", true]], [_prefix]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix]],
	["Grenadier", _grenadierTemplate, [], [_prefix]],
	["LAT", _latTemplate, [], [_prefix]],
	["AT", _atTemplate, [], [_prefix]],
	["AA", _aaTemplate, [], [_prefix]],
	["MachineGunner", _machineGunnerTemplate, [], [_prefix]],
	["Marksman", _marksmanTemplate, [], [_prefix]],
	["Sniper", _sniperTemplate, [], [_prefix]],
    ["PatrolSniper", _patrolSniperTemplate, [], [_prefix]],
    ["PatrolSpotter", _patrolSpotterTemplate, [], [_prefix]]
];


[_prefix, _unitTypes, _eliteLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//////////////////////
//    Misc Units    //
//////////////////////

//The following line determines the loadout of vehicle crew.
["other", [["Crew", _crewTemplate, [], ["other"]]], _crewLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of pilots. The line says crew but don't touch it!
["other", [["Pilot", _crewTemplate, [], ["other"]]], _pilotLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;


//The following line determines the loadout of the officers in "kill the officer" mission and the officer found at military administrations.
["other", [["Official", _officerTemplate, [], ["other"]]], _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of the traitor in "kill the traitor" missions.
["other", [["Traitor", _traitorTemplate, [], ["other"]]], _sfLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//The following line determines the loadout of AI in "invader punishment" missions.
["other", [["Unarmed", _UnarmedTemplate, [], ["other"]]], _militaryLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;


// All done :3