
// Owned DLCs
private _hasLawsOfWar = "orange" in A3A_enabledDLC;

///////////////////////////
//   Rebel Information   //
///////////////////////////

["name", "FIA"] call _fnc_saveToTemplate;                                                   // Abbreviated name for rebel faction.

["flag", "Flag_FIA_F"] call _fnc_saveToTemplate;                                            // Model for the flag. Doesn't actually need to be any specific as it is only the flag pole.
["flagTexture", "\usp_flags\data\northamerica\flag_united_states_co.paa"] call _fnc_saveToTemplate;     // Flag texture for faction. Used in the flag pole.
["flagMarkerType", "USP_MARKER_UNITED_STATES"] call _fnc_saveToTemplate;                          // Map marker for faction.


///////////////////////////
//        Vehicles       //
///////////////////////////

// Rebel vehicles. These are not for going undercover!
["vehiclesBasic", ["UK3CB_FIA_I_Quadbike"]] call _fnc_saveToTemplate;                          // Basic vehicle, preferrably a quadbike
["vehiclesLightUnarmed", ["UK3CB_FIA_I_LR_Closed", "UK3CB_FIA_I_LR_Open"]] call _fnc_saveToTemplate;                 // Light unarmed vehicle, such as an offroad.               
["vehiclesLightArmed", ["UK3CB_FIA_I_LR_M2"]] call _fnc_saveToTemplate;                     // Same as last, but armed with a weapon. Offroad with HMG is the norm.
["vehiclesTruck", ["UK3CB_FIA_I_M939_Open"]] call _fnc_saveToTemplate;                        // Truck. A lot of factions use the Ural-4320.
["vehiclesAT", ["I_C_Offroad_02_AT_F", "UK3CB_FIA_I_Hilux_TOW"]] call _fnc_saveToTemplate;                           // Light vehicle with an anti-tank weapon. Technicals are the norm.
["vehiclesAA", ["UK3CB_ARD_I_Ural_Zu23"]] call _fnc_saveToTemplate;                         // Anti-aircraft armed vehicle. Ural-4320 with ZU-23-2 is the norm.


// Rebel Boats.
["vehiclesBoat", ["UK3CB_FIA_I_Fishing_Boat_DSHKM", "UK3CB_FIA_I_Fishing_Boat_SPG9", "UK3CB_FIA_I_Fishing_Boat_Zu23_front"]] call _fnc_saveToTemplate;


// Fixed-wing aircraft.
["vehiclesPlane", ["UK3CB_I_G_Antonov_An2"]] call _fnc_saveToTemplate;

// Civilian vehicles. For going undercover.
["vehiclesCivCar", ["UK3CB_C_LandRover_Closed", "UK3CB_C_LandRover_Open"]] call _fnc_saveToTemplate;                     // Car.
["vehiclesCivTruck", ["C_Van_01_transport_F", "C_Van_01_box_F"]] call _fnc_saveToTemplate;                      // Truck.
["vehiclesCivHeli", ["UK3CB_C_Bell412_Civ"]] call _fnc_saveToTemplate;                      // Helicopter.
["vehiclesCivBoat", ["UK3CB_FIA_I_Fishing_Boat", "UK3CB_FIA_I_Small_Boat_Closed", "UK3CB_FIA_I_Small_Boat_Wood"]] call _fnc_saveToTemplate;                     // Boat.


// Stationary weapons.
["staticMGs", ["UK3CB_FIA_I_M240_High", "UK3CB_FIA_I_M240_Low", "UK3CB_FIA_I_M2_TriPod", "UK3CB_FIA_I_M2_MiniTripod"]] call _fnc_saveToTemplate;                          // Machine gun, be it heavy or otherwise.
["staticAT", ["UK3CB_FIA_I_SPG9"]] call _fnc_saveToTemplate;                                // Anti-tank weapon.
["staticAA", ["UK3CB_FIA_I_ZU23"]] call _fnc_saveToTemplate;                                // Anti-aircraft weapon.
["staticMortars", ["UK3CB_FIA_I_M252"]] call _fnc_saveToTemplate;                                // Mortar.
["staticMortarMagHE", "rhs_12Rnd_m821_HE"] call _fnc_saveToTemplate;                        // High explosive ammo for mortar. Make sure it fits!
["staticMortarMagSmoke", "8Rnd_82mm_Mo_Smoke_white"] call _fnc_saveToTemplate;              // Smoke ammo for mortar. Make sure it fits!
["mortarMagazineFlare", "8Rnd_82mm_Mo_Flare_white"] call _fnc_saveToTemplate;


["animations", [
    ["UK3CB_FIA_I_Hilux_TOW", ["ClanLogo_Hide",1,"Bonnet_Armour_Hide",1,"Central_Armour_Hide",1,"Front_Armour_Hide",1,"Rear_Armour_Hide",1,"Roof_Armour_Hide",1,"Wheel_Armour_Hide",1,"Windscreen_Armour_Hide",1,"Running_Board_Hide",0,"Roof_Rack_Hide",0,"Aerial_Hide",0,"Wipers_Hide",0]]
    
]] call _fnc_saveToTemplate;


// Mines. AT and AP.
["minesAT", [
	"ATMine_Range_Mag",
	"rhs_mine_tm62m_mag",
	"rhs_mine_M19_mag",
	"rhs_mag_mine_ptm1",
	"SLAMDirectionalMine_Wire_Mag",
	"rhssaf_mine_tma4_mag",
	"rhs_mine_TM43_mag"
]] call _fnc_saveToTemplate;

["minesAPERS", [
	"rhs_mine_M7A2_mag",
	"APERSMine_Range_Mag",
	"rhs_mine_pmn2_mag",
	"APERSBoundingMine_Range_Mag",
	"rhs_mag_mine_pfm1",
	"rhsusf_mine_m14_mag",
	"ClaymoreDirectionalMine_Remote_Mag",
	"APERSTripMine_Wire_Mag",
	"rhssaf_tm100_mag",
	"rhssaf_tm200_mag",
	"rhssaf_tm500_mag",
	"rhssaf_mine_pma3_mag",
	"rhssaf_mine_mrud_a_mag",
	"rhssaf_mine_mrud_b_mag",
	"rhssaf_mine_mrud_c_mag",
	"rhssaf_mine_mrud_d_mag",
	"rhs_mine_smine35_press_mag",
	"rhs_mine_smine44_press_mag",
	"rhs_mine_stockmine43_2m_mag",
	"rhs_mine_stockmine43_4m_mag",
	"rhs_mine_M3_tripwire_mag",
	"rhs_mine_Mk2_tripwire_mag",
	"rhs_mine_mk2_pressure_mag",
	"rhs_mine_m3_pressure_mag",
	"rhs_mine_glasmine43_hz_mag",
	"rhs_mine_glasmine43_bz_mag",
	"rhs_mine_m2a3b_press_mag",
	"rhs_mine_m2a3b_trip_mag",
	"rhs_mine_a200_bz_mag",
	"rhs_mine_a200_dz35_mag",
	"rhs_mine_m2a3b_press_mag",
	"rhs_mine_m2a3b_trip_mag",
	"rhs_mine_smine35_trip_mag",
	"rhs_mine_smine44_trip_mag"
]] call _fnc_saveToTemplate;

// For breaching vehicles.
["breachingExplosivesAPC", [["rhs_ec75_mag", 2], ["rhs_ec75_sand_mag", 2], ["rhs_ec200_mag", 1], ["rhs_ec200_sand_mag", 1], ["rhsusf_m112_mag", 1], ["DemoCharge_Remote_Mag", 1]]] call _fnc_saveToTemplate;
["breachingExplosivesTank", [["rhs_ec75_mag", 4], ["rhs_ec75_sand_mag", 4], ["rhs_ec200_mag", 2], ["rhs_ec200_sand_mag", 2], ["rhs_ec400_mag", 1], ["rhs_ec400_sand_mag", 1],["DemoCharge_Remote_Mag", 2], ["rhsusf_m112_mag", 2], ["rhsusf_m112x4_mag", 1], ["rhs_charge_M2tet_x2_mag", 1], ["SatchelCharge_Remote_Mag", 1]]] call _fnc_saveToTemplate;



//#include "3CBF_Reb_Vehicle_Attributes.sqf"




///////////////////////////
//  Rebel Starting Gear  //
///////////////////////////

// Weapons, ammunition, grenades, uniforms, whatever you want.


private _initialRebelEquipment = [

    ["IEDUrbanSmall_Remote_Mag", 100], ["IEDLandSmall_Remote_Mag", 100], ["IEDUrbanBig_Remote_Mag", 30], ["IEDLandBig_Remote_Mag", 30],
    "uk3cb_enfield_l42_walnut",
    "uk3cb_enfield_l42",
    "uk3cb_enfield_no3",
    "uk3cb_enfield_no4",
    "uk3cb_enfield_no4_walnut",
    "uk3cb_enfield_no5",
    "uk3cb_enfield_no5_walnut",
    "uk3cb_enfield_no4t",
    "uk3cb_enfield_no4t_walnut",
    "uk3cb_optic_no32",
    "uk3cb_no4_enfield_303_10Rnd_magazine", "uk3cb_no4_enfield_303_10Rnd_magazine_G", "uk3cb_no4_enfield_303_10Rnd_magazine_GT",
    "uk3cb_1rnd_riflegrenade_mas_ap", "uk3cb_1rnd_riflegrenade_mas_at_s",
    "UK3CB_Bren_303", "UK3CB_Bren_30Rnd_303_Magazine", "UK3CB_Bren_30Rnd_303_Magazine_G", "UK3CB_Bren_30Rnd_303_Magazine_GT",
    "UK3CB_Sten", "UK3CB_Sten_34Rnd_Magazine", "UK3CB_Sten_34Rnd_Magazine_GT", "UK3CB_Sten_34Rnd_Magazine_G",
    "sgun_HunterShotgun_01_F", "2Rnd_12Gauge_Pellets", "2Rnd_12Gauge_Slug",
    "rhs_weap_m1garand_sa43", "rhsgref_8Rnd_762x63_M2B_M1rifle", "rhsgref_8Rnd_762x63_Tracer_M1T_M1rifle",
    "rhsusf_weap_m1911a1", "rhsusf_mag_7x45acp_MHP",
    "rhs_weap_rsp30_white", "rhs_weap_rsp30_green", "rhs_weap_rsp30_red",
    "Chemlight_blue", "Chemlight_green", "Chemlight_red", "Chemlight_yellow",
    "rhs_grenade_mkii_mag", "rhs_grenade_anm8_mag", "rhs_charge_tnt_x2_mag",
    "UK3CB_MDF_B_H_M1", "UK3CB_MDF_B_H_M1_ALT", "UK3CB_H_M1_Helmet_Tan", "UK3CB_H_M1_Helmet_Net_TAN", "rhsgref_helmet_M1_erdl",
    
    "V_Chestrig_blk", "V_Chestrig_rgr", "V_Chestrig_khk", "V_Chestrig_oli", "rhs_chicom", "rhs_chicom_khk", "rhsgref_chicom",
    "UK3CB_V_SOV_CHICOM_GRN_TAN", "UK3CB_V_SOV_CHICOM_GRN", "UK3CB_V_SOV_CHICOM_TAN_GRN", "UK3CB_V_SOV_CHICOM_TAN",

    "U_C_Poloshirt_blue",
    "U_C_Poloshirt_burgundy",
    "U_C_Poloshirt_redwhite",
    "U_C_Poloshirt_salmon",
    "U_C_Poloshirt_stripped",
    "U_Marshal",
    "UK3CB_CHC_C_U_HIKER_03",
    "UK3CB_CHC_C_U_HIKER_01",
    "UK3CB_MEC_C_U_CIT_02",
    "UK3CB_MEC_C_U_CIT_03",
    "UK3CB_CHC_C_U_CIT_02",
    "UK3CB_MEC_C_U_WORK_02",
    "UK3CB_MEC_C_U_WORK_01",
    "UK3CB_CHC_C_U_PROF_02",
    "UK3CB_ION_B_U_CEO_SUIT_03",
    "UK3CB_ION_B_U_CEO_SUIT_05",
    "UK3CB_ION_B_U_CEO_SUIT_04",
    "UK3CB_CHC_C_U_DOC_03",
    "UK3CB_CHC_C_U_DOC_02",
    "UK3CB_CHC_C_U_FUNC_01",
    "UK3CB_CHC_C_U_FUNC_02",
    "UK3CB_ADC_C_U_01",
    "UK3CB_ADC_C_U_01_D",
    "UK3CB_ADC_C_U_01_F",
    "UK3CB_ADC_C_U_01_I",
    "UK3CB_ADC_C_U_01_K",
    "UK3CB_TKC_C_U_01",
    "UK3CB_TKC_C_U_01_C",
    "UK3CB_TKC_C_U_01_D",
    "UK3CB_TKC_C_U_01_E",
    "UK3CB_CHC_C_U_VILL_01",
    "UK3CB_CHC_C_U_VILL_03",
    "UK3CB_CHC_C_U_VILL_04",
    "UK3CB_CHC_C_U_VILL_02",
    "UK3CB_ADC_C_Shorts_U_01",
    "UK3CB_ADC_C_Shorts_U_05",
    "UK3CB_MEC_C_Jeans_Tshirt_U_Medic_01",
    "UK3CB_MEC_C_Pants_U_Medic_01",
    "UK3CB_MEC_C_Pants_U_Medic_03",
    "UK3CB_NPD_B_U_Policeman_01",
    "UK3CB_ADC_C_Pants_U_01",
    "UK3CB_ADC_C_Pants_U_02",
    "UK3CB_ADC_C_Pants_U_03",
    "UK3CB_ADC_C_Pants_U_05",

    "H_Bandanna_gry",
    "H_Bandanna_blu",
    "H_Bandanna_sgg",
    "H_Beret_blk",
    "H_Cap_blk",
    "H_Cap_blu",
    "H_Cap_grn",
    "H_Cap_red",
    "H_Cap_surfer",
    "H_Hat_blue",
    "H_Hat_brown",
    "H_Hat_checker",
    "H_Hat_grey",
    "H_Hat_tan",
    "H_ShemagOpen_khk",
    "H_StrawHat_dark",
    "UK3CB_H_Turban_Neckwrap_01_Blk",
    "UK3CB_H_Turban_Neckwrap_02_Blk",
    "UK3CB_H_Turban_Neckwrap_03_Blk",
    "UK3CB_H_Turban_Neckwrap_01_Oli",
    "UK3CB_H_Turban_Neckwrap_02_Oli",
    "UK3CB_H_Turban_Neckwrap_01_Red",
    "UK3CB_H_Turban_Neckwrap_02_Red",
    "UK3CB_H_Turban_Neckwrap_01_Whi",
    "UK3CB_H_Turban_Neckwrap_02_Whi",
    "UK3CB_H_Bandanna_Red_Check",
    "UK3CB_H_Beanie_02_BLK",
    "UK3CB_H_Beanie_02_GRY",
    "UK3CB_ANP_B_H_Beret",
    "UK3CB_TKC_H_Turban_01_1",
    "UK3CB_TKC_H_Turban_02_1",
    "UK3CB_TKC_H_Turban_06_1",
    "UK3CB_H_Villager_Cap_01",
    "UK3CB_CSAT_O_H_Woolhat_BLU",
    "UK3CB_H_Worker_Cap_01",

    "U_B_FullGhillie_ard", "U_B_FullGhillie_lsh", "U_B_FullGhillie_sard",
    "U_B_CTRG_Soldier_F", "U_B_CTRG_Soldier_Arid_F", "U_B_CTRG_Soldier_3_F", "U_B_CTRG_Soldier_3_Arid_F", "U_B_CTRG_Soldier_2_F", "U_B_CTRG_Soldier_2_Arid_F",
    "U_B_CTRG_Soldier_urb_1_F", "U_B_CTRG_Soldier_urb_3_F", "U_B_CTRG_Soldier_urb_2_F",
    "UK3CB_ADA_B_B_ASS", "UK3CB_ANA_B_B_ASS", "UK3CB_LDF_B_B_ASS_OLI", "UK3CB_GAF_B_B_ASS_OLI", "UK3CB_GAF_B_B_ASS_TAN", "UK3CB_TKA_B_B_ASS",
    "UK3CB_LSM_B_B_CARRYALL_KHK", "UK3CB_LSM_B_B_CARRYALL_OLI",
    "UK3CB_ION_B_B_RIF_BRN_01", "UK3CB_ION_B_B_RIF_DES_01", "UK3CB_ION_B_B_RIF_OLI_01", "UK3CB_KRG_B_B_FieldPack_SF_MED"
];

if (A3A_hasTFAR) then {_initialRebelEquipment append ["tf_microdagr","tf_anprc154"]};
if (A3A_hasTFAR && startWithLongRangeRadio) then {_initialRebelEquipment append ["tf_anprc155","tf_anprc155_coyote"]};
if (A3A_hasTFARBeta) then {_initialRebelEquipment append ["TFAR_microdagr","TFAR_anprc154"]};
if (A3A_hasTFARBeta && startWithLongRangeRadio) then {_initialRebelEquipment append ["TFAR_anprc155","TFAR_anprc155_coyote"]};
_initialRebelEquipment append ["Chemlight_blue","Chemlight_green","Chemlight_red","Chemlight_yellow"];
["initialRebelEquipment", _initialRebelEquipment] call _fnc_saveToTemplate;

private _rebUniforms = [
    "m93_khk", "m93_wd", "m93_od", "m93_irn", "m93_ird", "m93_gr", "m93_3c", "m93_6c", "m93_rd", "m93_rdm", "m93_cw",
    "U_I_G_resistanceLeader_F", "U_BG_Guerrilla_6_1", "U_BG_Guerilla2_2", "U_BG_Guerilla2_1", "U_BG_Guerilla2_3", "U_BG_Guerilla3_1",
    "U_C_HunterBody_grn", "U_I_G_Story_Protagonist_F"
    ];

["uniforms", _rebUniforms] call _fnc_saveToTemplate;

//private _PetrosUniforms = [
//    "U_B_CTRG_Soldier_3_Arid_F"
//    ];
//["PetrosUniforms", _PetrosUniforms] call _fnc_saveToTemplate;


// Headgear
["headgear", [
    "H_Cap_headphones", "H_Shemag_olive", "H_ShemagOpen_khk", "H_StrawHat_dark", "UK3CB_H_Turban_Neckwrap_01_Blu", "UK3CB_H_Turban_Neckwrap_02_Blu", "UK3CB_H_Turban_Neckwrap_03_Blu",
    "UK3CB_H_Beanie_02_BLK", "UK3CB_H_Beanie_02_BRN", "UK3CB_H_Woolhat_GRN", "UK3CB_H_Beanie_02_GRY", "UK3CB_H_Woolhat_KHK", "UK3CB_AAF_B_H_Beret_Airforce_Off",
    "UK3CB_LSM_B_H_BoonieHat_KHK", "UK3CB_LNM_B_H_BoonieHat_MULTICAM", "UK3CB_H_Cap_GRK_LIZ",
    "UK3CB_H_M1_Helmet", "UK3CB_H_M1_Helmet_Tan", "UK3CB_H_M1_Helmet_Net_TAN", "UK3CB_H_Villager_Cap_01", "H_Cap_oli", "H_Cap_oli_hs",
    "H_Cap_usblack", "H_Cap_tan_specops_US"
]] call _fnc_saveToTemplate;



/////////////////////
///  Identities   ///
/////////////////////


// Faces for rebel faction.
["faces", [
                "WhiteHead_01",
                "WhiteHead_02",
                "WhiteHead_03",
                "WhiteHead_04",
                "WhiteHead_05",
                "WhiteHead_06",
                "WhiteHead_07",
                "WhiteHead_08",
                "WhiteHead_09",
                "WhiteHead_10",
                "WhiteHead_11",
                "WhiteHead_12",
                "WhiteHead_13",
                "WhiteHead_14",
                "WhiteHead_15",
                "WhiteHead_16",
                "WhiteHead_17",
                "WhiteHead_18",
                "WhiteHead_19",
                "WhiteHead_20",
                "WhiteHead_21",
                "GreekHead_A3_01", 
                "GreekHead_A3_02",
                "GreekHead_A3_03",
                "GreekHead_A3_09",
                "GreekHead_A3_11",
                "GreekHead_A3_12",
                "GreekHead_A3_13",
                "GreekHead_A3_14",
                "PersianHead_A3_01",
                "PersianHead_A3_02",
                "PersianHead_A3_03"

    ]] call _fnc_saveToTemplate;

// Voices for rebel faction.
["voices", ["Male01ENGB",
            "Male02ENGB",
            "Male03ENGB",
            "Male04ENGB",
            "Male05ENGB",
            "Male01PER", 
            "Male02PER",  
            "Male03PER"
            ]] call _fnc_saveToTemplate;



//////////////////////////
//       Loadouts       //
//////////////////////////

private _loadoutData = call _fnc_createLoadoutData;
_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];
_loadoutData set ["binoculars", ["rhsusf_bino_m24"]];

_loadoutData set ["uniforms", _rebUniforms];
_loadoutData set ["PetrosUniforms", ["U_B_CTRG_Soldier_3_Arid_F"]];
_loadoutData set ["PetrosVests", ["mbavr_r"]];


// Glasses used by faction.
_loadoutData set ["glasses", [
                                "UK3CB_G_Tactical_Black",
                                "UK3CB_G_Tactical_Clear",
                                "G_Aviator",
                                "G_Shades_Black",
                                "G_Shades_Blue",
                                "G_Shades_Green",
                                "G_Shades_Red",
                                "G_Spectacles",
                                "G_Sport_Red",
                                "G_Sport_Blackred",
                                "G_Spectacles_Tinted",
                                "None"
                                ]];

// Goggles used byfaction.
_loadoutData set ["goggles", [
                                "rhsusf_oakley_goggles_ylw",
                                "rhsusf_oakley_goggles_clr",
                                "rhsusf_oakley_goggles_blk",
                                "None"
                                ]];


// Facemasks used by faction.
_loadoutData set ["facemask", [
                                "UK3CB_G_Balaclava2_DES",
                                "UK3CB_G_Bandanna_aviator_green_check",
                                "UK3CB_G_Bandanna_aviator_red_check",
                                "UK3CB_G_Bandanna_green_check",
                                "UK3CB_G_Bandanna_sport_white_check",
                                "G_Bandanna_aviator",
                                "None"
                                ]];

_loadoutData set ["items_medical_basic", ["BASIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_standard", ["STANDARD"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_medic", ["MEDIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_miscEssentials", [] call A3A_fnc_itemset_miscEssentials];



////////////////////////
//  Rebel Unit Types  //
///////////////////////.



private _squadLeaderTemplate = {
    ["uniforms"] call _fnc_setUniform;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["binoculars"] call _fnc_addBinoculars;
};

private _PetrosTemplate = {
    ["PetrosUniforms"] call _fnc_setUniform;
    ["PetrosVests"] call _fnc_setVest;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["binoculars"] call _fnc_addBinoculars;
};

private _riflemanTemplate = {
    ["uniforms"] call _fnc_setUniform;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;
    
    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
};

private _prefix = "militia";
private _unitTypes = [
    ["Petros", _PetrosTemplate],
    ["SquadLeader", _squadLeaderTemplate],
    ["Rifleman", _riflemanTemplate],
    ["staticCrew", _riflemanTemplate],
    ["Medic", _riflemanTemplate, [["medic", true]]],
    ["Engineer", _riflemanTemplate, [["engineer", true]]],
    ["ExplosivesExpert", _riflemanTemplate, [["explosiveSpecialist", true]]],
    ["Grenadier", _riflemanTemplate],
    ["LAT", _riflemanTemplate],
    ["AT", _riflemanTemplate],
    ["AA", _riflemanTemplate],
    ["MachineGunner", _riflemanTemplate],
    ["Marksman", _riflemanTemplate],
    ["Sniper", _riflemanTemplate],
    ["Unarmed", _riflemanTemplate]
];

[_prefix, _unitTypes, _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;