
// Owned DLCs
private _hasLawsOfWar = "orange" in A3A_enabledDLC;

///////////////////////////
//   Rebel Information   //
///////////////////////////

["name", "GIDF"] call _fnc_saveToTemplate;                                                   // Abbreviated name for rebel faction.

["flag", "Flag_FIA_F"] call _fnc_saveToTemplate;                                            // Model for the flag. Doesn't actually need to be any specific as it is only the flag pole.
["flagTexture", "\A3\Data_F\Flags\Flag_AltisColonial_CO.paa"] call _fnc_saveToTemplate;     // Flag texture for faction. Used in the flag pole.
["flagMarkerType", "flag_AltisColonial"] call _fnc_saveToTemplate;                          // Map marker for faction.


///////////////////////////
//        Vehicles       //
///////////////////////////

// Rebel vehicles. These are not for going undercover!
["vehiclesBasic", ["UK3CB_FIA_I_Quadbike"]] call _fnc_saveToTemplate;                          // Basic vehicle, preferrably a quadbike
["vehiclesLightUnarmed", ["UK3CB_FIA_I_LR_Closed", "UK3CB_FIA_I_LR_Open"]] call _fnc_saveToTemplate;                 // Light unarmed vehicle, such as an offroad.               
["vehiclesLightArmed", ["I_G_Offroad_01_armed_F"]] call _fnc_saveToTemplate;                     // Same as last, but armed with a weapon. Offroad with HMG is the norm.
["vehiclesTruck", ["UK3CB_FIA_I_M939_Open"]] call _fnc_saveToTemplate;                        // Truck. A lot of factions use the Ural-4320.
["vehiclesAT", ["UK3CB_FIA_I_Offroad_AT"]] call _fnc_saveToTemplate;                           // Light vehicle with an anti-tank weapon. Technicals are the norm.
["vehiclesAA", ["UK3CB_MDF_I_MTVR_Zu23"]] call _fnc_saveToTemplate;                         // Anti-aircraft armed vehicle. Ural-4320 with ZU-23-2 is the norm.


// Rebel Boats.
["vehiclesBoat", ["UK3CB_MDF_I_Skiff", "UK3CB_MDF_I_RHIB", "UK3CB_MDF_I_Rubber_Rhib"]] call _fnc_saveToTemplate;


// Fixed-wing aircraft.
["vehiclesPlane", ["UK3CB_I_G_Antonov_An2"]] call _fnc_saveToTemplate;

// Civilian vehicles. For going undercover.
["vehiclesCivCar", ["UK3CB_C_LandRover_Closed", "UK3CB_C_LandRover_Open"]] call _fnc_saveToTemplate;                     // Car.
["vehiclesCivTruck", ["C_Van_01_transport_F", "C_Van_01_box_F"]] call _fnc_saveToTemplate;                      // Truck.
["vehiclesCivHeli", ["UK3CB_C_Bell412_Civ"]] call _fnc_saveToTemplate;                      // Helicopter.
["vehiclesCivBoat", ["UK3CB_FIA_I_Fishing_Boat", "UK3CB_FIA_I_Small_Boat_Closed", "UK3CB_FIA_I_Small_Boat_Wood"]] call _fnc_saveToTemplate;                     // Boat.


// Stationary weapons.
["staticMGs", ["UK3CB_FIA_I_M240_High", "UK3CB_FIA_I_M240_Low", "UK3CB_FIA_I_M2_TriPod", "UK3CB_FIA_I_M2_MiniTripod"]] call _fnc_saveToTemplate;                          // Machine gun, be it heavy or otherwise.
["staticAT", ["UK3CB_FIA_I_SPG9"]] call _fnc_saveToTemplate;                                // Anti-tank weapon.
["staticAA", ["UK3CB_FIA_I_ZU23"]] call _fnc_saveToTemplate;                                // Anti-aircraft weapon.
["staticMortars", ["UK3CB_FIA_I_M252"]] call _fnc_saveToTemplate;                                // Mortar.
["staticMortarMagHE", "rhs_12Rnd_m821_HE"] call _fnc_saveToTemplate;                        // High explosive ammo for mortar. Make sure it fits!
["staticMortarMagSmoke", "8Rnd_82mm_Mo_Smoke_white"] call _fnc_saveToTemplate;              // Smoke ammo for mortar. Make sure it fits!
["mortarMagazineFlare", "8Rnd_82mm_Mo_Flare_white"] call _fnc_saveToTemplate;


["animations", [
    ["UK3CB_FIA_I_Hilux_TOW", ["ClanLogo_Hide",1,"Bonnet_Armour_Hide",1,"Central_Armour_Hide",1,"Front_Armour_Hide",1,"Rear_Armour_Hide",1,"Roof_Armour_Hide",1,"Wheel_Armour_Hide",1,"Windscreen_Armour_Hide",1,"Running_Board_Hide",0,"Roof_Rack_Hide",0,"Aerial_Hide",0,"Wipers_Hide",0]]
    
]] call _fnc_saveToTemplate;


// Mines. AT and AP.
["minesAT", [
	"ATMine_Range_Mag",
	"rhs_mine_tm62m_mag",
	"rhs_mine_M19_mag",
	"rhs_mag_mine_ptm1",
	"SLAMDirectionalMine_Wire_Mag",
	"rhssaf_mine_tma4_mag",
	"rhs_mine_TM43_mag"
]] call _fnc_saveToTemplate;

["minesAPERS", [
	"rhs_mine_M7A2_mag",
	"APERSMine_Range_Mag",
	"rhs_mine_pmn2_mag",
	"APERSBoundingMine_Range_Mag",
	"rhs_mag_mine_pfm1",
	"rhsusf_mine_m14_mag",
	"ClaymoreDirectionalMine_Remote_Mag",
	"APERSTripMine_Wire_Mag",
	"rhssaf_tm100_mag",
	"rhssaf_tm200_mag",
	"rhssaf_tm500_mag",
	"rhssaf_mine_pma3_mag",
	"rhssaf_mine_mrud_a_mag",
	"rhssaf_mine_mrud_b_mag",
	"rhssaf_mine_mrud_c_mag",
	"rhssaf_mine_mrud_d_mag",
	"rhs_mine_smine35_press_mag",
	"rhs_mine_smine44_press_mag",
	"rhs_mine_stockmine43_2m_mag",
	"rhs_mine_stockmine43_4m_mag",
	"rhs_mine_M3_tripwire_mag",
	"rhs_mine_Mk2_tripwire_mag",
	"rhs_mine_mk2_pressure_mag",
	"rhs_mine_m3_pressure_mag",
	"rhs_mine_glasmine43_hz_mag",
	"rhs_mine_glasmine43_bz_mag",
	"rhs_mine_m2a3b_press_mag",
	"rhs_mine_m2a3b_trip_mag",
	"rhs_mine_a200_bz_mag",
	"rhs_mine_a200_dz35_mag",
	"rhs_mine_m2a3b_press_mag",
	"rhs_mine_m2a3b_trip_mag",
	"rhs_mine_smine35_trip_mag",
	"rhs_mine_smine44_trip_mag"
]] call _fnc_saveToTemplate;

// For breaching vehicles.
["breachingExplosivesAPC", [["rhs_ec75_mag", 2], ["rhs_ec75_sand_mag", 2], ["rhs_ec200_mag", 1], ["rhs_ec200_sand_mag", 1], ["rhsusf_m112_mag", 1], ["DemoCharge_Remote_Mag", 1]]] call _fnc_saveToTemplate;
["breachingExplosivesTank", [["rhs_ec75_mag", 4], ["rhs_ec75_sand_mag", 4], ["rhs_ec200_mag", 2], ["rhs_ec200_sand_mag", 2], ["rhs_ec400_mag", 1], ["rhs_ec400_sand_mag", 1],["DemoCharge_Remote_Mag", 2], ["rhsusf_m112_mag", 2], ["rhsusf_m112x4_mag", 1], ["rhs_charge_M2tet_x2_mag", 1], ["SatchelCharge_Remote_Mag", 1]]] call _fnc_saveToTemplate;



//#include "3CBF_Reb_Vehicle_Attributes.sqf"




///////////////////////////
//  Rebel Starting Gear  //
///////////////////////////

// Weapons, ammunition, grenades, uniforms, whatever you want.


private _initialRebelEquipment = [

    ["IEDUrbanSmall_Remote_Mag", 100], ["IEDLandSmall_Remote_Mag", 100], ["IEDUrbanBig_Remote_Mag", 100], ["IEDLandBig_Remote_Mag", 100],
    "uk3cb_enfield_l42",
    "uk3cb_enfield_l42_walnut",
    "uk3cb_enfield_l8",
    "uk3cb_enfield_l8_walnut",
    "uk3cb_optic_no32",
    "uk3cb_l42_enfield_762_10Rnd_magazine", "uk3cb_l42_enfield_762_10Rnd_magazine_G", "uk3cb_l42_enfield_762_10Rnd_magazine_GT",
    "uk3cb_1rnd_riflegrenade_mas_ap", "uk3cb_1rnd_riflegrenade_mas_at_s",
    "UK3CB_Sten", "UK3CB_Sten_34Rnd_Magazine", "UK3CB_Sten_34Rnd_Magazine_GT", "UK3CB_Sten_34Rnd_Magazine_G",
    "sgun_HunterShotgun_01_F", "sgun_HunterShotgun_01_sawedoff_F", "2Rnd_12Gauge_Pellets", "2Rnd_12Gauge_Slug",
    "UK3CB_CZ550", "uk3cb_optic_sro", "UK3CB_CZ550_5rnd_Mag",
    
    "rhsusf_weap_m1911a1", "rhsusf_mag_7x45acp_MHP",
    "UK3CB_BHP", "UK3CB_BHP_9_13Rnd",

    "rhs_weap_rsp30_white", "rhs_weap_rsp30_green", "rhs_weap_rsp30_red",
    "Chemlight_blue", "Chemlight_green", "Chemlight_red", "Chemlight_yellow",
    "rhs_grenade_mkii_mag", "rhs_mag_m67", "rhs_mag_an_m14_th3", "rhs_grenade_anm8_mag", "rhs_charge_tnt_x2_mag", "rhs_mag_mk3a2",
    "UK3CB_MDF_B_H_M1", "UK3CB_MDF_B_H_M1_ALT", "rhsgref_helmet_M1_erdl", "UK3CB_H_M1_Helmet_Net_OLI",
    
    "V_Chestrig_blk", "V_Chestrig_rgr", "V_Chestrig_khk", "V_Chestrig_oli",
    "V_TacChestrig_grn_F", "V_TacChestrig_oli_F",
    "UK3CB_TKP_B_V_TacVest_Blk", "UK3CB_ANP_B_V_TacVest_BLU",
    "pasgt_dc",

    "Binocular", "rhsusf_bino_m24", "rhsusf_bino_m24_ARD", "rhssaf_zrak_rd7j",
    "ItemRadio", "rhsusf_radio_anprc152",

    ["UK3CB_Bren_L4_LMG", 22], "UK3CB_Bren_30Rnd_762x51_Magazine", "UK3CB_Bren_30Rnd_762x51_Magazine_G", "UK3CB_Bren_30Rnd_762x51_Magazine_GT",
    ["rhs_weap_fnmag", 3], "rhsusf_100Rnd_762x51", "rhsusf_100Rnd_762x51_m62_tracer",
    ["rhs_weap_l1a1", 4], "rhsgref_acc_falMuzzle_l1a1", "rhs_mag_20Rnd_762x51_m80_fnfal", "rhs_mag_20Rnd_762x51_m62_fnfal",
    ["rhsgref_acc_l1a1_l2a2", 4],
    ["rhs_weap_m72a7", 11],
    ["launch_NLAW_F", 7],
    ["rhs_weap_fim92", 16], "rhs_fim92_mag",
    ["launch_MRAWS_olive_rail_F", 9], "MRAWS_HE_F", "MRAWS_HEAT55_F",
    ["rhsusf_ANPVS_14", 4],


    "UK3CB_CHC_C_U_HIKER_01",
    "UK3CB_CHC_C_U_HIKER_02",
    "UK3CB_CHC_C_U_HIKER_03",
    "UK3CB_CHC_C_U_HIKER_04",
    "UK3CB_MEC_C_U_CIT_02",
    "UK3CB_MEC_C_U_CIT_05",
    "UK3CB_MEC_C_U_WORK_04",
    "UK3CB_MEC_C_U_WORK_03",
    "UK3CB_CHC_C_U_WORK_03",
    "UK3CB_CHC_C_U_WORK_02",
    "UK3CB_MEC_C_U_WORK_02",
    "UK3CB_MEC_C_U_WORK_05",
    "UK3CB_ION_B_U_CEO_SUIT_03",
    "UK3CB_ION_B_U_CEO_SUIT_01",
    "UK3CB_ION_B_U_CEO_SUIT_04",
    "UK3CB_CHC_C_U_DOC_02",
    "UK3CB_UN_B_U_Field_Operative",
    "UK3CB_UN_B_U_Field_Operative_02",
    "UK3CB_CHC_C_U_FUNC_02",
    "UK3CB_ADC_C_U_Pilot_02",
    "UK3CB_ADC_C_Hunter_U_07",
    "UK3CB_ADC_C_Hunter_U_09",
    "UK3CB_ADC_C_Hunter_U_08",
    "UK3CB_NAP_B_U_Pilot_BLK",
    "UK3CB_CHC_C_U_Overall_02",
    "UK3CB_CHC_C_U_Overall_05",
    "UK3CB_CHC_C_U_Overall_03",
    "UK3CB_ADC_C_U_Pilot_01",
    "UK3CB_CHC_C_U_VILL_01",
    "UK3CB_CHC_C_U_VILL_03",
    "UK3CB_ADC_C_Shorts_U_01",
    "UK3CB_LSM_B_U_Crew_CombatSmock_03",
    "UK3CB_LSM_B_U_CombatSmock_07",
    "UK3CB_ADC_C_Hunter_U_04",
    "UK3CB_ADC_C_Pants_U_02",
    "UK3CB_ADC_C_Pants_U_03",
    "UK3CB_ADC_C_Pants_U_04",
    "UK3CB_ADC_C_Pants_U_05",
    "UK3CB_MEC_C_Jeans_Tshirt_U_01",
    "UK3CB_MEC_C_Jeans_Tshirt_U_05",
    "UK3CB_ION_B_U_SF_Uniform_Jeans_Tshirt_01_DES",
    "U_C_Poloshirt_blue",
    "U_C_Poloshirt_burgundy",
    "U_BG_Guerilla2_2",
    "U_C_Journalist",
    "U_Marshal",
    "U_C_WorkerCoveralls",
    "U_C_Man_casual_2_F",
    "U_C_Man_casual_3_F",
    "U_C_Man_casual_1_F",
    "U_B_GEN_Commander_F",
    "U_B_GEN_Soldier_F",
    "U_C_Uniform_Farmer_01_F",
    "U_C_IDAP_Man_cargo_F",
    "U_C_IDAP_Man_Jeans_F",
    "U_C_IDAP_Man_casual_F",
    "U_C_ConstructionCoverall_Blue_F",
    "U_C_ConstructionCoverall_Red_F",
    "U_C_Mechanic_01_F",
    "U_C_Paramedic_01_F",


    "H_Bandanna_gry",
    "H_Bandanna_blu",
    "H_Bandanna_sgg",
    "H_Beret_blk",
    "H_Cap_blk",
    "H_Cap_blu",
    "H_Cap_grn",
    "H_Cap_red",
    "H_Cap_surfer",
    "H_Hat_blue",
    "H_Hat_brown",
    "H_Hat_checker",
    "H_Hat_grey",
    "H_Hat_tan",
    "H_StrawHat_dark",
    "UK3CB_H_WideBrim_Hat",
    "UK3CB_H_Beanie_02_BLK",
    "UK3CB_H_Beanie_02_GRY",
    "UK3CB_ANA_B_H_OFF_Beret_MAR",
    "UK3CB_H_Villager_Cap_01",
    "UK3CB_CSAT_O_H_Woolhat_BLU",
    "UK3CB_H_Worker_Cap_01",

    "U_B_FullGhillie_ard", "U_B_FullGhillie_lsh", "U_B_FullGhillie_sard",
    "U_B_CTRG_Soldier_F", "U_B_CTRG_Soldier_Arid_F", "U_B_CTRG_Soldier_3_F", "U_B_CTRG_Soldier_3_Arid_F", "U_B_CTRG_Soldier_2_F", "U_B_CTRG_Soldier_2_Arid_F",
    "U_B_CTRG_Soldier_urb_1_F", "U_B_CTRG_Soldier_urb_3_F", "U_B_CTRG_Soldier_urb_2_F",
    "UK3CB_ADA_B_B_ASS", "UK3CB_ANA_B_B_ASS", "UK3CB_LDF_B_B_ASS_OLI", "UK3CB_GAF_B_B_ASS_OLI", "UK3CB_GAF_B_B_ASS_TAN", "UK3CB_TKA_B_B_ASS",
    "UK3CB_LSM_B_B_CARRYALL_KHK", "UK3CB_LSM_B_B_CARRYALL_OLI",
    "UK3CB_ION_B_B_RIF_BRN_01", "UK3CB_ION_B_B_RIF_DES_01", "UK3CB_ION_B_B_RIF_OLI_01", "UK3CB_KRG_B_B_FieldPack_SF_MED"
];

if (A3A_hasTFAR) then {_initialRebelEquipment append ["tf_microdagr","tf_anprc154"]};
if (A3A_hasTFAR && startWithLongRangeRadio) then {_initialRebelEquipment append ["tf_anprc155","tf_anprc155_coyote"]};
if (A3A_hasTFARBeta) then {_initialRebelEquipment append ["TFAR_microdagr","TFAR_anprc154"]};
if (A3A_hasTFARBeta && startWithLongRangeRadio) then {_initialRebelEquipment append ["TFAR_anprc155","TFAR_anprc155_coyote"]};
_initialRebelEquipment append ["Chemlight_blue","Chemlight_green","Chemlight_red","Chemlight_yellow"];
["initialRebelEquipment", _initialRebelEquipment] call _fnc_saveToTemplate;

private _rebUniforms = [
    "m93_d852",
    "m93_d85",
    "UK3CB_FIA_B_U_M10_CombatUniform_DPM02_01",
    "UK3CB_FIA_B_U_M10_CombatUniform_DPM01_01",

    "U_BG_Guerrilla_6_1",
    "U_BG_Guerilla2_2",
    "U_BG_Guerilla2_3",
    "U_BG_Guerilla3_1"
    ];

["uniforms", _rebUniforms] call _fnc_saveToTemplate;

//private _PetrosUniforms = [
//    "U_B_CTRG_Soldier_3_Arid_F"
//    ];
//["PetrosUniforms", _PetrosUniforms] call _fnc_saveToTemplate;


// Headgear
["headgear", [
    "H_Cap_headphones",
    "UK3CB_H_Beanie_02_BLK", "UK3CB_H_Beanie_02_BRN", "UK3CB_H_Woolhat_GRN", "UK3CB_H_Beanie_02_GRY", "UK3CB_H_Woolhat_KHK", "UK3CB_AAF_B_H_Beret_Airforce_Off", "UK3CB_AAF_B_H_Beret_Army",
    "UK3CB_H_BoonieHat_DPM_95", "UK3CB_H_BoonieHat_DPM_68", "UK3CB_H_Cap_DPM_95",
    "UK3CB_H_M1_Helmet", "UK3CB_H_M1_Helmet_Net_OLI", "pasgt_dc", "UK3CB_H_Villager_Cap_01", "H_Cap_oli", "H_Cap_oli_hs",
    "H_Cap_usblack", "H_Cap_khaki_specops_UK"
]] call _fnc_saveToTemplate;



/////////////////////
///  Identities   ///
/////////////////////


// Faces for rebel faction.
["faces", [
                "WhiteHead_01",
                "WhiteHead_02",
                "WhiteHead_03",
                "WhiteHead_04",
                "WhiteHead_05",
                "WhiteHead_06",
                "WhiteHead_07",
                "WhiteHead_08",
                "WhiteHead_09",
                "WhiteHead_10",
                "WhiteHead_11",
                "WhiteHead_12",
                "WhiteHead_13",
                "WhiteHead_14",
                "WhiteHead_15",
                "WhiteHead_16",
                "WhiteHead_17",
                "WhiteHead_18",
                "WhiteHead_19",
                "WhiteHead_20",
                "WhiteHead_21",
                "GreekHead_A3_01", 
                "GreekHead_A3_02",
                "GreekHead_A3_03",
                "GreekHead_A3_09",
                "GreekHead_A3_11",
                "GreekHead_A3_12",
                "GreekHead_A3_13",
                "GreekHead_A3_14"

    ]] call _fnc_saveToTemplate;

// Voices for rebel faction.
["voices", ["Male01ENGB",
            "Male02ENGB",
            "Male03ENGB",
            "Male04ENGB",
            "Male05ENGB"
            ]] call _fnc_saveToTemplate;



//////////////////////////
//       Loadouts       //
//////////////////////////

private _loadoutData = call _fnc_createLoadoutData;
_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];
_loadoutData set ["binoculars", ["rhsusf_bino_m24"]];

_loadoutData set ["uniforms", _rebUniforms];
_loadoutData set ["PetrosUniforms", ["U_B_CTRG_Soldier_3_Arid_F"]];
_loadoutData set ["PetrosVests", ["mbavr_r"]];


// Glasses used by faction.
_loadoutData set ["glasses", [
                                "UK3CB_G_Tactical_Black",
                                "UK3CB_G_Tactical_Clear",
                                "G_Aviator",
                                "G_Shades_Black",
                                "G_Shades_Blue",
                                "G_Shades_Green",
                                "G_Shades_Red",
                                "G_Spectacles",
                                "G_Sport_Red",
                                "G_Sport_Blackred",
                                "G_Spectacles_Tinted",
                                "None"
                                ]];

// Goggles used byfaction.
_loadoutData set ["goggles", [
                                "rhsusf_oakley_goggles_ylw",
                                "rhsusf_oakley_goggles_clr",
                                "rhsusf_oakley_goggles_blk",
                                "None"
                                ]];


// Facemasks used by faction.
_loadoutData set ["facemask", [
                                "UK3CB_G_Bandanna_aviator_green_check",
                                "UK3CB_G_Bandanna_aviator_red_check",
                                "UK3CB_G_Bandanna_green_check",
                                "UK3CB_G_Bandanna_sport_white_check",
                                "G_Bandanna_aviator",
                                "None"
                                ]];

_loadoutData set ["items_medical_basic", ["BASIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_standard", ["STANDARD"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_medical_medic", ["MEDIC"] call A3A_fnc_itemset_medicalSupplies];
_loadoutData set ["items_miscEssentials", [] call A3A_fnc_itemset_miscEssentials];



////////////////////////
//  Rebel Unit Types  //
///////////////////////.



private _squadLeaderTemplate = {
    ["uniforms"] call _fnc_setUniform;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["binoculars"] call _fnc_addBinoculars;
};

private _PetrosTemplate = {
    ["PetrosUniforms"] call _fnc_setUniform;
    ["PetrosVests"] call _fnc_setVest;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;

    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
    ["binoculars"] call _fnc_addBinoculars;
};

private _riflemanTemplate = {
    ["uniforms"] call _fnc_setUniform;
    [selectRandomWeighted [[], 1.25, "glasses", 1, "goggles", 0.75, "facemask", 1]] call _fnc_setFacewear;
    
    ["items_medical_standard"] call _fnc_addItemSet;
    ["items_miscEssentials"] call _fnc_addItemSet;

    ["maps"] call _fnc_addMap;
    ["watches"] call _fnc_addWatch;
    ["compasses"] call _fnc_addCompass;
};

private _prefix = "militia";
private _unitTypes = [
    ["Petros", _PetrosTemplate],
    ["SquadLeader", _squadLeaderTemplate],
    ["Rifleman", _riflemanTemplate],
    ["staticCrew", _riflemanTemplate],
    ["Medic", _riflemanTemplate, [["medic", true]]],
    ["Engineer", _riflemanTemplate, [["engineer", true]]],
    ["ExplosivesExpert", _riflemanTemplate, [["explosiveSpecialist", true]]],
    ["Grenadier", _riflemanTemplate],
    ["LAT", _riflemanTemplate],
    ["AT", _riflemanTemplate],
    ["AA", _riflemanTemplate],
    ["MachineGunner", _riflemanTemplate],
    ["Marksman", _riflemanTemplate],
    ["Sniper", _riflemanTemplate],
    ["Unarmed", _riflemanTemplate]
];

[_prefix, _unitTypes, _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;