////////////////////////////
//   Rivals Information   //
///////////////////////////

["name", "Caliphate"] call _fnc_saveToTemplate;					// Abbreviated rival faction.
["nameLeader", "Abu Hafs al-Hashimi al-Qurashi"] call _fnc_saveToTemplate;		// Name of rival faction leader.

//////////////////////////////////////
//       	Identities    			//
//////////////////////////////////////

// Voices of rival faction.
["voices", [	"Male01PER",
				"Male02PER",
				"Male03PER"
				]] call _fnc_saveToTemplate;

// Faces of rival faction.
["faces", [			"GreekHead_A3_01", 
                    "GreekHead_A3_02",
                    "GreekHead_A3_03",
                    "GreekHead_A3_09",
                    "GreekHead_A3_11",
                    "GreekHead_A3_12",
                    "GreekHead_A3_13",
                    "GreekHead_A3_14",
                    "PersianHead_A3_01",
                    "PersianHead_A3_02",
                    "PersianHead_A3_03"
			]] call _fnc_saveToTemplate;



//////////////////////////
//       Vehicles       //
//////////////////////////


["ammobox", "Box_FIA_Support_F"] call _fnc_saveToTemplate; 				// Don't touch or you die a sad and lonely death!
["surrenderCrate", "Box_East_Wps_F"] call _fnc_saveToTemplate;			// :3

// Light armed vehicles.
["vehiclesRivalsLightArmed", [	"UK3CB_ARD_O_UAZ_MG",                        // Should be armed, unarmoured to lightly armoured, with 0-4 passengers
                            	"I_C_Offroad_02_AT_F", 
                            	"UK3CB_ARD_O_UAZ_AGS30",
								"UK3CB_MEE_O_Hilux_Dshkm",
								"UK3CB_MEE_O_Hilux_GMG",
								"UK3CB_MEE_O_Hilux_Pkm",
								"UK3CB_MEE_O_Hilux_Zu23_Front",
								"UK3CB_MEE_O_Pickup_DSHKM",
								"UK3CB_MEE_O_Pickup_GMG"
								]] call _fnc_saveToTemplate;

// Trucks for transport.
["vehiclesRivalsTrucks", [	"rhs_kraz255b1_cargo_open_vmf",                      // vehicle that can carry troops and cargoboxes
                            "UK3CB_ARD_O_Zil131_Covered", 
                            "UK3CB_ARD_O_Zil131_Open", 
                            "I_C_Van_01_transport_F",
							"UK3CB_MEE_O_Van_Transport"
							]] call _fnc_saveToTemplate;

// Cars.
["vehiclesRivalsCars", [	"I_C_Offroad_02_unarmed_F", 
							"I_C_Offroad_02_unarmed_F", 
							"UK3CB_I_G_LandRover_Closed",
							"UK3CB_MEE_O_Pickup",
							"UK3CB_MEE_O_Hilux_Open"
							]] call _fnc_saveToTemplate;

// armored personnel carriers.
["vehiclesRivalsAPCs", [	"UK3CB_MEE_O_BMP1", 
							"UK3CB_MEE_O_M113tank_M2",
							"UK3CB_ARD_O_BMP2",
							"UK3CB_ARD_O_BTR60"
							]] call _fnc_saveToTemplate;

// Tanks.
["vehiclesRivalsTanks", [	"UK3CB_MEE_O_T55", 
							"UK3CB_ARD_O_BMP2",
							"UK3CB_ADA_O_T72BM",
							"UK3CB_ADA_O_T72A",
							"UK3CB_ADA_O_T72BC"
							]] call _fnc_saveToTemplate;

// Helicopters.
["vehiclesRivalsHelis", [	"UK3CB_ADA_O_Mi8"
							]] call _fnc_saveToTemplate;	

// Drones. No armament.		
["vehiclesRivalsUavs", ["rhs_pchela1t_vvs"]] call _fnc_saveToTemplate;			

// Stationary weapons.
["staticLowWeapons", [		"UK3CB_ARD_O_PKM_Low", 
							"UK3CB_ARD_O_DSHkM_Mini_TriPod"
							]] call _fnc_saveToTemplate;


["staticMortars", [			"UK3CB_ARD_O_2b14_82mm"
							]] call _fnc_saveToTemplate;

["mortarMagazineHE", "rhs_mag_3vo18_10"] call _fnc_saveToTemplate;		// High explosive ammunition for mortar. Make sure it fits!

// I'm not sure what this is. My guess is that it is drone-dropped munitions.
["handGrenadeAmmo", ["rhs_mag_f1"]] call _fnc_saveToTemplate;

// Not sure what this is for either. Maybe the roving mortar random event?
["mortarAmmo", ["rhs_mag_3vo18_10"]] call _fnc_saveToTemplate;


// Mines.
["minefieldAT", ["rhs_mine_tm62m"]] call _fnc_saveToTemplate;
["minefieldAPERS", ["rhs_mine_pmn2"]] call _fnc_saveToTemplate;


//vehicle skins
["variants", [
    ["UK3CB_ARD_O_BMP2",      			["MEE", 1]],
    ["UK3CB_ARD_O_BTR60",               ["MEE_2", 1]]
]] call _fnc_saveToTemplate;



//////////////////////////
//       Loadouts       //
//////////////////////////



private _loadoutData = call _fnc_createLoadoutData;

_loadoutData set ["ATMines", ["ATMine_Range_Mag"]];
_loadoutData set ["APMines", ["rhs_mine_ozm72_a_mag"]];
_loadoutData set ["lightExplosives", ["IEDLandSmall_Remote_Mag"]];
_loadoutData set ["heavyExplosives", ["IEDLandBig_Remote_Mag"]];

_loadoutData set ["antiInfantryGrenades", ["rhs_mag_f1", "rhs_mag_rgd5", "rhs_mag_rgn", "rhs_mag_rgo"]];			// Anti-personnel grenades.
_loadoutData set ["smokeGrenades", ["rhs_mag_rdg2_white"]];															// Smoke grenades.
_loadoutData set ["signalsmokeGrenades", ["rhs_mag_rdg2_black"]];															// Signal smoke grenades. 


// Facewear used by rival faction.
_loadoutData set ["facewear", [
	"None", 
	"UK3CB_G_Tactical_Black",
	"UK3CB_G_Tactical_Clear",
	"G_Aviator",
	"G_Shades_Black",
	"G_Shades_Blue",
	"G_Shades_Green",
	"G_Shades_Red",
	"G_Sport_Red",
	"G_Sport_Blackred",
	"rhsusf_oakley_goggles_blk",
	"rhsusf_oakley_goggles_clr",
	"rhsusf_oakley_goggles_ylw"
]];

// Headgear used by rival faction.
_loadoutData set ["headgear", [
    "H_Shemag_olive",
    "H_ShemagOpen_tan",
	"H_ShemagOpen_khk",
    "UK3CB_H_Shemag_blk",
    "UK3CB_H_Shemag_blk",
	"UK3CB_H_Shemag_blk",
	"UK3CB_H_Shemag_blk",
	"UK3CB_H_Shemag_red_02",
	"UK3CB_H_Turban_Facewrap_01_Blk",
	"UK3CB_H_Turban_Facewrap_02_Blk",
	"UK3CB_H_Turban_Facewrap_03_Blk",
	"UK3CB_H_Turban_Facewrap_01_Red",
	"UK3CB_H_Turban_Facewrap_02_Red",
	"UK3CB_H_Turban_Facewrap_03_Red"
]];

// Basic equipment of the rival faction.
_loadoutData set ["maps", ["ItemMap"]];
_loadoutData set ["watches", ["ItemWatch"]];
_loadoutData set ["compasses", ["ItemCompass"]];
_loadoutData set ["radios", ["ItemRadio"]];
_loadoutData set ["gpses", ["ItemGPS"]];
_loadoutData set ["NVGs", ["rhs_1PN138"]];
_loadoutData set ["binoculars", ["rhssaf_zrak_rd7j"]];
_loadoutData set ["Rangefinder", ["rhs_pdu4"]];


// uniforms used by rival faction.
_loadoutData set ["uniforms", [
								"UK3CB_MEI_B_U_CombatUniform_WDL_01_JEANS_RED",
								"UK3CB_MEI_B_U_CombatUniform_WDL_01_BROWN_RED",
								"UK3CB_ADE_O_U_04_C",
								"UK3CB_ADE_O_U_04_D",
								"UK3CB_LNM_B_U_Shirt_Pants_10",
								"UK3CB_LNM_B_U_Shirt_Pants_16",
								"UK3CB_TKM_O_U_01_B",
								"UK3CB_TKM_O_U_01_D",
								"UK3CB_TKM_O_U_06",
								"UK3CB_TKM_O_U_06_B",
								"UK3CB_MEE_O_U_01",
								"UK3CB_MEE_O_U_01_B",
								"UK3CB_MEE_O_U_01_D",
								"UK3CB_MEE_O_U_07",
								"UK3CB_MEE_O_U_07_B",
								"UK3CB_MEE_O_U_07_C",
								"UK3CB_ION_B_U_CombatSmock_01_URB",
								"UK3CB_ION_B_U_CombatSmock_03_URB"
								]];

_loadoutData set ["heavyUniforms", [
									"UK3CB_CSAT_M_O_U_SF_CombatUniform_02",
									"UK3CB_CSAT_M_O_U_SF_CombatUniform_Shortsleeve_02",
									"UK3CB_CSAT_M_O_U_SF_CombatUniform",
									"UK3CB_CSAT_M_O_U_SF_JumperUniform_KHK"
									]];



// Officer gear.
_loadoutData set ["offuniforms", ["UK3CB_CSAT_M_O_U_SF_CombatUniform_02", "UK3CB_CSAT_M_O_U_SF_CombatUniform_Shortsleeve_02"]];

// Basic equipment.
_loadoutData set ["vests", ["rhs_belt_RPK", "rhs_6sh92_vsr", "rhs_6sh92_vsr_radio", "rhs_chicom", "rhs_chicom_khk", "rhsgref_chicom"]];
_loadoutData set ["heavyVests", ["rhsusf_mbav_rifleman", "rhsusf_mbav_medic", "rhsusf_mbav_mg"]];
_loadoutData set ["atBackpacks", ["UK3CB_GAF_B_B_ENG_TAN"]];
_loadoutData set ["backpacks", ["B_FieldPack_khk"]];
_loadoutData set ["helmets", ["UK3CB_H_M1_Helmet", "UK3CB_H_M1_Helmet_Tan", "UK3CB_H_M1_Helmet_Net_TAN"]];
_loadoutData set ["heavyHelmets", ["pasgt_tan"]];

//Item *set* definitions. These are added in their entirety to unit loadouts. No randomisation is applied.
_loadoutData set ["items_medical_basic", ["BASIC"] call A3A_fnc_itemset_medicalSupplies]; //this line defines the basic medical loadout for vanilla
_loadoutData set ["items_medical_standard", ["STANDARD"] call A3A_fnc_itemset_medicalSupplies]; //this line defines the standard medical loadout for vanilla
_loadoutData set ["items_medical_medic", ["MEDIC"] call A3A_fnc_itemset_medicalSupplies]; //this line defines the medic medical loadout for vanilla
_loadoutData set ["items_miscEssentials", [] call A3A_fnc_itemset_miscEssentials];

private _slItems = [];
private _eeItems = ["ToolKit"];
private _mmItems = [];

//if (A3A_hasACE) then {
//    _slItems append ["ACE_microDAGR", "ACE_DAGR"];
//    _eeItems append ["ACE_Clacker", "ACE_DefusalKit"];
//    _mmItems append ["ACE_RangeCard", "ACE_ATragMX", "ACE_Kestrel4500"];
//};

_loadoutData set ["items_squadleader_extras", _slItems];
_loadoutData set ["items_rifleman_extras", []];
_loadoutData set ["items_medic_extras", []];
_loadoutData set ["items_grenadier_extras", []];
_loadoutData set ["items_explosivesExpert_extras", _eeItems];
_loadoutData set ["items_engineer_extras", _eeItems];
_loadoutData set ["items_lat_extras", []];
_loadoutData set ["items_at_extras", []];
_loadoutData set ["items_aa_extras", []];
_loadoutData set ["items_machineGunner_extras", []];
_loadoutData set ["items_marksman_extras", _mmItems];
_loadoutData set ["items_sniper_extras", _mmItems];
_loadoutData set ["items_police_extras", []];
_loadoutData set ["items_crew_extras", []];
_loadoutData set ["items_unarmed_extras", []];




_loadoutData set ["rifles", [
	["UK3CB_HK33KA3", "", "", "",  ["UK3CB_HK33_30rnd_556x45_R"], [], ""],
	["UK3CB_G3A3", "", "", "",  ["UK3CB_G3_20rnd_762x51"], [], ""],
	["rhs_weap_akm", "rhs_acc_dtkakm", "", "",  ["rhs_30Rnd_762x39mm"], [], ""]
]];

_loadoutData set ["tunedRifles", [
	["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO",  ["rhs_30Rnd_762x39mm"], [], ""],
	["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low",  ["rhs_30Rnd_762x39mm"], [], ""],
	["UK3CB_HK33KA3", "", "", "",  ["UK3CB_HK33_30rnd_556x45_R"], [], ""],
	["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_high",  ["UK3CB_G3_20rnd_762x51_R"], [], ""],
	["UK3CB_G3A3_RIS", "", "", "optic_MRCO",  ["UK3CB_G3_20rnd_762x51_R"], [], ""],
	["rhs_weap_akm_zenitco01_b33", "rhs_acc_dtkakm", "rhs_acc_perst3", "optic_MRCO",  ["rhs_30Rnd_762x39mm"], [], ""],
	["rhs_weap_akm_zenitco01_b33", "rhs_acc_dtkakm", "rhs_acc_perst3", "rhsusf_acc_T1_low",  ["rhs_30Rnd_762x39mm"], [], ""]
]];

_loadoutData set ["enforcerRifles", [
	["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "optic_MRCO",  ["UK3CB_RPK_75rnd_762x39_R"], [], ""],
	["rhs_weap_ak103_npz", "rhs_acc_dtk", "rhs_acc_perst1ik", "rhsusf_acc_T1_low",  ["UK3CB_RPK_75rnd_762x39_R"], [], ""],
	["UK3CB_HK33KA3", "", "", "",  ["UK3CB_HK33_30rnd_556x45_R"], [], ""],
	["UK3CB_G3A3_RIS", "", "", "rhsusf_acc_T1_high",  ["UK3CB_G3_50rnd_762x51_R"], [], ""],
	["UK3CB_G3A3_RIS", "", "", "optic_MRCO",  ["UK3CB_G3_50rnd_762x51_R"], [], ""],
	["rhs_weap_akm_zenitco01_b33", "rhs_acc_dtkakm", "rhs_acc_perst3", "optic_MRCO",  ["UK3CB_RPK_75rnd_762x39_R"], [], ""],
	["rhs_weap_akm_zenitco01_b33", "rhs_acc_dtkakm", "rhs_acc_perst3", "rhsusf_acc_T1_low",  ["UK3CB_RPK_75rnd_762x39_R"], [], ""]
]];

_loadoutData set ["carbines", [
	["UK3CB_HK33KA3", "", "", "",  ["UK3CB_HK33_30rnd_556x45_R"], [], ""],
	["rhs_weap_akm", "rhs_acc_dtkakm", "", "",  ["rhs_30Rnd_762x39mm"], [], ""],
	["rhs_weap_akms", "rhs_acc_dtkakm", "", "",  ["rhs_30Rnd_762x39mm"], [], ""]
]];

_loadoutData set ["grenadeLaunchers", [
	["rhs_weap_akmn_gp25", "rhs_acc_dtkakm", "", "",  ["rhs_30Rnd_762x39mm"], ["rhs_VOG25"], ""],
	["rhs_weap_ak103_gp25", "rhs_acc_dtk", "", "",  ["rhs_30Rnd_762x39mm"], ["rhs_VOG25"], ""]
]];

_loadoutData set ["machineGuns", [
	["rhs_weap_pkm", "", "", "",  ["rhs_100Rnd_762x54mmR_7N26", "rhs_100Rnd_762x54mmR_green"], [], ""],
	["UK3CB_MG3", "", "", "",  ["UK3CB_MG3_100rnd_762x51_R", "UK3CB_MG3_100rnd_762x51_RT"], [], ""]
]];

_loadoutData set ["marksmanRifles", [
	["UK3CB_SVD_OLD", "", "", "rhs_acc_pso1m2", ["rhs_10Rnd_762x54mmR_7N1"], [], ""],
	["uk3cb_HS50", "", "", "rhs_acc_dh520x56", ["uk3cb_hs50_50bmg_M33_5Rnd_magazine"], [], ""]
]];

_loadoutData set ["lightATLaunchers", [
	["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_PG7V_mag"], [], ""]
]];

_loadoutData set ["ATLaunchers", [
	["launch_RPG32_F", "", "", "", ["RPG32_F"], [], ""]
]];

_loadoutData set ["lightHELaunchers", [
	["launch_RPG7_F", "", "", "rhs_acc_pgo7v3", ["rhs_rpg7_OG7V_mag"], [], ""]
]];

_loadoutData set ["AALaunchers", [
	["rhs_weap_igla", "", "", "", ["rhs_mag_9k38_rocket"], [], ""]
]];

_loadoutData set ["sidearms", [
	["rhs_weap_tt33", "", "", "", ["rhs_mag_762x25_8"], [], ""],
	["UK3CB_PC9_ZOAF", "", "", "", ["UK3CB_PC9_ZOAF_9_12Rnd"], [], ""]
]];



//////////////////////////
//    Misc Loadouts     //
//////////////////////////


// Equipment used by tank crews.
private _crewLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_crewLoadoutData set ["vests", ["UK3CB_TKA_I_V_6Sh92_Khk"]];
_crewLoadoutData set ["helmets", ["H_Tank_black_F"]];


// Equipment used by pilots.
private _pilotLoadoutData = _loadoutData call _fnc_copyLoadoutData;
_pilotLoadoutData set ["vests", ["UK3CB_V_Pilot_Vest"]];
_pilotLoadoutData set ["helmets", ["H_PilotHelmetHeli_O"]];


// ##################### DO NOT TOUCH ANYTHING BELOW THIS LINE #####################


/////////////////////////////////
//    Unit Type Definitions    //
/////////////////////////////////
//These define the loadouts for different unit types.
//For example, rifleman, grenadier, squad leader, etc.
//In 95% of situations, you *should not need to edit these*.
//Almost all factions can be set up just by modifying the loadout data above.
//However, these exist in case you really do want to do a lot of custom alterations.

// heavyHelmets heavyVests heavyUniforms


private _cellLeaderTemplate = {
	if (random 100 > 75) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	[["offuniforms", "uniforms"] call _fnc_fallback] call _fnc_setUniform;

	[selectRandom ["grenadeLaunchers", "tunedRifles"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;
	["primary", 5] call _fnc_addAdditionalMuzzleMagazines;

	if (random 1 < 0.15) then {
		["lightATLaunchers"] call _fnc_setLauncher;
		["launcher", 1] call _fnc_addMagazines;
	} else {
		["sidearms"] call _fnc_setHandgun;
		["handgun", 2] call _fnc_addMagazines;
	};

	["items_medical_standard"] call _fnc_addItemSet;
	["items_squadLeader_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 2] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;
	["signalsmokeGrenades", 1] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["gpses"] call _fnc_addGPS;
	["binoculars"] call _fnc_addBinoculars;
	["NVGs"] call _fnc_addNVGs;
};

private _mercenaryTemplate = {
	if (random 100 > 85) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	["heavyUniforms"] call _fnc_setUniform;

	[selectRandom ["grenadeLaunchers", "tunedRifles"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_squadLeader_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 2] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;
	["signalsmokeGrenades", 1] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["gpses"] call _fnc_addGPS;
	["binoculars"] call _fnc_addBinoculars;
	["NVGs"] call _fnc_addNVGs;
};

private _enforcerTemplate = {
	if (random 100 < 75) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	["heavyUniforms"] call _fnc_setUniform;

	[["enforcerRifles", "rifles"] call _fnc_fallback] call _fnc_setPrimary;
	["primary", 4] call _fnc_addMagazines;

	if (random 1 < 0.15) then {
		["lightHELaunchers"] call _fnc_setLauncher;
		["launcher", 1] call _fnc_addMagazines;
	} else {
		["sidearms"] call _fnc_setHandgun;
		["handgun", 2] call _fnc_addMagazines;
	};

	["items_medical_standard"] call _fnc_addItemSet;
	["items_squadLeader_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 2] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;
	["signalsmokeGrenades", 1] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["gpses"] call _fnc_addGPS;
	["binoculars"] call _fnc_addBinoculars;
	["NVGs"] call _fnc_addNVGs;
};

private _partisanTemplate = {
	if (random 100 < 75) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;

	if (random 1 < 0.15) then {
		["lightHELaunchers"] call _fnc_setLauncher;
		["launcher", 1] call _fnc_addMagazines;
	} else {
		["sidearms"] call _fnc_setHandgun;
		["handgun", 2] call _fnc_addMagazines;
	};

	[selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_rifleman_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 2] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _minutemanTemplate = {
	if (random 100 < 25) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;

	if (random 1 < 0.15) then {
		["lightATLaunchers"] call _fnc_setLauncher;
		["launcher", 1] call _fnc_addMagazines;
	} else {
		["sidearms"] call _fnc_setHandgun;
		["handgun", 2] call _fnc_addMagazines;
	};

	[selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_rifleman_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 2] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _medicTemplate = {
	if (random 100 < 85) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	["heavyUniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

  	["carbines"] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_medic"] call _fnc_addItemSet;
	["items_medic_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _saboteurTemplate = {
	if (random 100 < 50) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

	["grenadeLaunchers"] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;
	["primary", 10] call _fnc_addAdditionalMuzzleMagazines;

	if (random 1 < 0.15) then {
		["lightHELaunchers"] call _fnc_setLauncher;
		["launcher", 1] call _fnc_addMagazines;
	} else {
		["sidearms"] call _fnc_setHandgun;
		["handgun", 2] call _fnc_addMagazines;
	};

	["items_medical_standard"] call _fnc_addItemSet;
	["items_grenadier_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 4] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _explosivesExpertTemplate = {
	if (random 100 < 50) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

	[selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_explosivesExpert_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;

	["lightExplosives", 2] call _fnc_addItem;
	if (random 1 > 0.5) then {["heavyExplosives", 1] call _fnc_addItem;};
	if (random 1 > 0.5) then {["atMines", 1] call _fnc_addItem;};
	if (random 1 > 0.5) then {["apMines", 1] call _fnc_addItem;};

	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 1] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _atTemplate = {
	if (random 100 < 75) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

	[selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["ATLaunchers"] call _fnc_setLauncher;
	//TODO - Add a check if it's disposable.
	["launcher", 4] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_at_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 1] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _aaTemplate = {
	if (random 100 < 90) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	["heavyUniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

	[selectRandom ["rifles", "carbines"]] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["AALaunchers"] call _fnc_setLauncher;
	//TODO - Add a check if it's disposable.
	["launcher", 3] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_aa_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _oppressorTemplate = {
	if (random 100 < 75) then {
		["heavyHelmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["heavyVests"] call _fnc_setVest;
	["heavyUniforms"] call _fnc_setUniform;
	["backpacks"] call _fnc_setBackpack;

	["machineGuns"] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_machineGunner_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["NVGs"] call _fnc_addNVGs;
};

private _sharpshooterTemplate = {
	if (random 100 < 95) then {
		["helmets"] call _fnc_setHelmet;
	} else {
		["headgear"] call _fnc_setHelmet;
		[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	};
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;


	["marksmanRifles"] call _fnc_setPrimary;
	["primary", 6] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_standard"] call _fnc_addItemSet;
	["items_marksman_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["antiInfantryGrenades", 1] call _fnc_addItem;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["Rangefinder"] call _fnc_addBinoculars;
	["NVGs"] call _fnc_addNVGs;
};

private _crewTemplate = {
	["helmets"] call _fnc_setHelmet;
	[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	["vests"] call _fnc_setVest;
	["uniforms"] call _fnc_setUniform;

	["carbines"] call _fnc_setPrimary;
	["primary", 3] call _fnc_addMagazines;

	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["items_medical_basic"] call _fnc_addItemSet;
	["items_crew_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;
	["smokeGrenades", 2] call _fnc_addItem;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
	["gpses"] call _fnc_addGPS;
	["NVGs"] call _fnc_addNVGs;
};

private _unarmedTemplate = {
	["vests"] call _fnc_setVest;
	[selectRandomWeighted [[], 1.5, "facewear", 1]] call _fnc_setFacewear;
	["uniforms"] call _fnc_setUniform;

	["items_medical_basic"] call _fnc_addItemSet;
	["items_unarmed_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
};

private _commanderTemplate = {
	[selectRandomWeighted ["helmets", 0.1, "headgear", 0.9]] call _fnc_setHelmet;
	["sidearms"] call _fnc_setHandgun;
	["handgun", 2] call _fnc_addMagazines;

	["vests"] call _fnc_setVest;
	[["offuniforms", "uniforms"] call _fnc_fallback] call _fnc_setUniform;

	["items_medical_basic"] call _fnc_addItemSet;
	["items_unarmed_extras"] call _fnc_addItemSet;
	["items_miscEssentials"] call _fnc_addItemSet;

	["maps"] call _fnc_addMap;
	["watches"] call _fnc_addWatch;
	["compasses"] call _fnc_addCompass;
	["radios"] call _fnc_addRadio;
};

////////////////////////////////////////////////////////////////////////////////////////
//  You shouldn't touch below this line unless you really really know what you're doing.
//  Things below here can and will break the gamemode if improperly changed.
////////////////////////////////////////////////////////////////////////////////////////

///////////////////////
//  Rivals Units     //
///////////////////////
private _prefix = "militia";
private _unitTypes = [
	["CellLeader", _cellLeaderTemplate, [], [_prefix, true]],
	["Mercenary", _mercenaryTemplate, [], [_prefix, true]],
	["Minuteman", _minutemanTemplate, [], [_prefix, true]],
	["Enforcer", _enforcerTemplate, [], [_prefix, true]],
	["Partisan", _partisanTemplate, [], [_prefix, true]],
	["Saboteur", _saboteurTemplate, [], [_prefix, true]],
	["Medic", _medicTemplate, [["medic", true]], [_prefix, true]],
	["ExplosivesExpert", _explosivesExpertTemplate, [["explosiveSpecialist", true]], [_prefix, true]],
	["SpecialistAT", _atTemplate, [], [_prefix, true]],
	["SpecialistAA", _aaTemplate, [], [_prefix, true]],
	["Oppressor", _oppressorTemplate, [], [_prefix, true]],
	["Sharpshooter", _sharpshooterTemplate, [], [_prefix, true]]
];

[_prefix, _unitTypes, _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;

//////////////////////
//    Misc Units    //
//////////////////////
[_prefix, [["Crew", _crewTemplate, [], [_prefix, true]]], _crewLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;
[_prefix, [["Pilot", _crewTemplate, [], [_prefix, true]]], _pilotLoadoutData] call _fnc_generateAndSaveUnitsToTemplate;
[_prefix, [["Commander", _commanderTemplate, [], [_prefix, true]]], _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;
[_prefix, [["Unarmed", _unarmedTemplate, [], [_prefix, true]]], _loadoutData] call _fnc_generateAndSaveUnitsToTemplate;